<?xml version="3.0" encoding="utf-8"?>
<policy version="8.10.23.100">
    <version>3.0</version>
    <log_open>0</log_open>
    <enable>1</enable>
    <product>LRA</product>
    <agp_switch>1</agp_switch>
    <SOC>cape</SOC>

    <game_list size='49'>  <!-- 所有白名单的包名-surface名对应表  surfaceflinger 游戏SDK  hwsched 都需要读取该白名单 !-->
        <game id="0">
            <package_name>default</package_name>
            <surface_name>default</surface_name>
            <FPS_detect_profile>0</FPS_detect_profile>
            <temp_control_profile>0</temp_control_profile>
            <fps_list>20 25 30 35 40 45 50 55 60 65 70 75 80 85 90 95 100 105 110 115 120</fps_list>
            <default_fps>60</default_fps>
            <sched_tunable_profile> 0 </sched_tunable_profile>
        </game>
        <game id="1">
            <package_name>com.tencent.tmgp.pubgmhd</package_name>
            <surface_name>SurfaceView - com.tencent.tmgp.pubgmhd/com.epicgames.ue4.GameActivity#0</surface_name>
            <FPS_detect_profile>0</FPS_detect_profile>
            <temp_control_profile>0</temp_control_profile>
            <fps_list>20 25 30 35 40 45 50 55 60 65 70 75 80 85 90 95 100 105 110 115 120</fps_list>
            <default_fps>60</default_fps>
            <sched_tunable_profile> 1 </sched_tunable_profile>
        </game>
        <game id="2">
            <package_name>com.tencent.tmgp.sgame</package_name>
            <surface_name>SurfaceView - com.tencent.tmgp.sgame/com.tencent.tmgp.sgame.SGameActivity#0</surface_name>
            <FPS_detect_profile>0</FPS_detect_profile>
            <temp_control_profile>0</temp_control_profile>
            <fps_list>20 25 30 35 40 45 50 55 60 65 70 75 80 85 90 95 100 105 110 115 120</fps_list>
            <default_fps>60</default_fps>
            <sched_tunable_profile> 2 </sched_tunable_profile>
        </game>
        <game id="3">
            <package_name>com.tencent.tmgp.cod</package_name>
            <surface_name>SurfaceView - com.tencent.tmgp.cod/com.tencent.tmgp.cod.CODMainActivity#0</surface_name>
            <FPS_detect_profile>0</FPS_detect_profile>
            <temp_control_profile>0</temp_control_profile>
            <fps_list>20 25 30 35 40 45 50 55 60 65 70 75 80 85 90 95 100 105 110 115 120</fps_list>
            <default_fps>60</default_fps>
            <sched_tunable_profile> 3 </sched_tunable_profile>
        </game>
        <game id="4">
            <package_name>com.tencent.tmgp.speedmobile</package_name>
            <surface_name>SurfaceView - com.tencent.tmgp.speedmobile/com.tencent.tmgp.speedmobile.speedmobile#0</surface_name>
            <FPS_detect_profile>0</FPS_detect_profile>
            <temp_control_profile>0</temp_control_profile>
            <fps_list>20 25 30 35 40 45 50 55 60 65 70 75 80 85 90 95 100 105 110 115 120</fps_list>
            <default_fps>60</default_fps>
            <sched_tunable_profile> 4 </sched_tunable_profile>
        </game>
        <game id="5">
            <package_name>com.t2ksports.nba2k19and</package_name>
            <surface_name>SurfaceView - com.t2ksports.nba2k19and/com.t2ksports.nba2k19and.gameactivity#0</surface_name>
            <FPS_detect_profile>0</FPS_detect_profile>
            <temp_control_profile>0</temp_control_profile>
            <fps_list>20 25 30 35 40 45 50 55 60 65 70 75 80 85 90 95 100 105 110 115 120</fps_list>
            <default_fps>60</default_fps>
            <sched_tunable_profile> 5 </sched_tunable_profile>
        </game>
        <game id="6">
            <package_name>com.tencent.tmgp.cf</package_name>
            <surface_name>SurfaceView - com.tencent.tmgp.cf/com.tencent.tmgp.cf.AFMainActivity#0</surface_name>
            <FPS_detect_profile>0</FPS_detect_profile>
            <temp_control_profile>0</temp_control_profile>
            <fps_list>20 25 30 35 40 45 50 55 60 65 70 75 80 85 90 95 100 105 110 115 120</fps_list>
            <default_fps>60</default_fps>
            <sched_tunable_profile> 6 </sched_tunable_profile>
        </game>
        <game id="7">
            <package_name>com.racergame.cityracing3d</package_name>
            <surface_name>SurfaceView - com.racergame.cityracing3d/com.racergame.cityracing3d.GameActivity#0</surface_name>
            <FPS_detect_profile>0</FPS_detect_profile>
            <temp_control_profile>0</temp_control_profile>
            <fps_list>20 25 30 35 40 45 50 52</fps_list>
            <default_fps>60</default_fps>
            <sched_tunable_profile> 0 </sched_tunable_profile>
        </game>
        <game id="8">
            <package_name>com.miHoYo.Yuanshen</package_name>
            <surface_name>SurfaceView - com.miHoYo.Yuanshen/com.miHoYo.GetMobileInfo.MainActivity#0</surface_name>
            <FPS_detect_profile>0</FPS_detect_profile>
            <temp_control_profile>0</temp_control_profile>
            <fps_list>20 25 30 35 40 45 50 55 60</fps_list>
            <default_fps>60</default_fps>
            <sched_tunable_profile> 8 </sched_tunable_profile>
        </game>
        <game id="9">
            <package_name>com.tencent.lolm</package_name>
            <surface_name>SurfaceView[com.tencent.lolm/com.tencent.lolm.lgame](BLAST)#0</surface_name>
            <FPS_detect_profile>0</FPS_detect_profile>
            <temp_control_profile>0</temp_control_profile>
            <fps_list>30 60 90 120</fps_list>
            <default_fps>60</default_fps>
            <sched_tunable_profile> 9 </sched_tunable_profile>
        </game>
        <game id="10">
            <package_name>com.riotgames.league.wildrift</package_name>
            <surface_name>SurfaceView[com.tencent.lolm/com.tencent.lolm.lgame](BLAST)#0</surface_name>
            <FPS_detect_profile>0</FPS_detect_profile>
            <temp_control_profile>0</temp_control_profile>
            <fps_list>30 60 90 120</fps_list>
            <default_fps>60</default_fps>
            <sched_tunable_profile> 9 </sched_tunable_profile>
        </game>
        <game id="11">
            <package_name>com.riotgames.league.wildrifttw</package_name>
            <surface_name>SurfaceView[com.tencent.lolm/com.tencent.lolm.lgame](BLAST)#0</surface_name>
            <FPS_detect_profile>0</FPS_detect_profile>
            <temp_control_profile>0</temp_control_profile>
            <fps_list>30 60 90 120</fps_list>
            <default_fps>60</default_fps>
            <sched_tunable_profile> 9 </sched_tunable_profile>
        </game>
        <game id="12">
            <package_name>com.miHoYo.GenshinImpact</package_name>
            <surface_name>SurfaceView[com.miHoYo.GenshinImpact/com.miHoYo.GetMobileInfo.MainActivity]#5</surface_name>
            <FPS_detect_profile>0</FPS_detect_profile>
            <temp_control_profile>0</temp_control_profile>
            <fps_list>20 25 30 35 40 45 50 55 60</fps_list>
            <default_fps>60</default_fps>
            <sched_tunable_profile> 12 </sched_tunable_profile>
        </game>
        <game id="13">
            <package_name>com.protopop.brightridge</package_name>
            <surface_name>SurfaceView[com.protopop.brightridge/com.unity3d.player.UnityPlayerActivity](BLAST)#0</surface_name>
            <FPS_detect_profile>0</FPS_detect_profile>
            <temp_control_profile>0</temp_control_profile>
            <fps_list>20 25 30 35 40 45 50 55 60</fps_list>
            <default_fps>60</default_fps>
            <sched_tunable_profile> 13 </sched_tunable_profile>
        </game>
        <game id="14">
            <package_name>com.miHoYo.ys.bilibili</package_name>
            <surface_name>SurfaceView[com.miHoYo.ys.bilibili/com.miHoYo.GetMobileInfo.MainActivity]#0</surface_name>
            <FPS_detect_profile>0</FPS_detect_profile>
            <temp_control_profile>0</temp_control_profile>
            <fps_list>20 25 30 35 40 45 50 55 60</fps_list>
            <default_fps>60</default_fps>
            <sched_tunable_profile> 8 </sched_tunable_profile>
        </game>
        <game id="15">
            <package_name>com.tencent.jkchess</package_name>
            <surface_name>SurfaceView[com.miHoYo.ys.bilibili/com.miHoYo.GetMobileInfo.MainActivity]#0</surface_name>
            <FPS_detect_profile>0</FPS_detect_profile>
            <temp_control_profile>0</temp_control_profile>
            <fps_list>20 25 30 35 40 45 50 55 60 90 120</fps_list>
            <default_fps>60</default_fps>
            <sched_tunable_profile> 14 </sched_tunable_profile>
        </game>
        <game id="16">
            <package_name>com.tencent.tmgp.wuxia</package_name>
            <surface_name>SurfaceView[com.tencent.tmgp.wuxia/com.tencent.tmgp.wuxia.ApolloWuxia]#1</surface_name>
            <FPS_detect_profile>0</FPS_detect_profile>
            <temp_control_profile>0</temp_control_profile>
            <fps_list>30 60 90</fps_list>
            <default_fps>80</default_fps>
            <sched_tunable_profile> 16 </sched_tunable_profile>
        </game>
        <game id="17">
            <package_name>com.miHoYo.yuanshencb</package_name>
            <surface_name>SurfaceView - com.miHoYo.yuanshencb/com.miHoYo.GetMobileInfo.MainActivity#0</surface_name>
            <FPS_detect_profile>0</FPS_detect_profile>
            <temp_control_profile>0</temp_control_profile>
            <fps_list>20 25 30 35 40 45 50 55 60</fps_list>
            <default_fps>60</default_fps>
            <sched_tunable_profile> 8 </sched_tunable_profile>
        </game>
        <game id="18">
            <package_name>com.tencent.ig</package_name>
            <surface_name>SurfaceView[com.tencent.ig/com.epicgames.ue4.GameActivity]</surface_name>
            <FPS_detect_profile>0</FPS_detect_profile>
            <temp_control_profile>0</temp_control_profile>
            <fps_list>20 25 30 35 40 45 50 55 60 65 70 75 80 85 90 95 100 105 110 115 120</fps_list>
            <default_fps>60</default_fps>
            <sched_tunable_profile> 18  </sched_tunable_profile>
        </game>
        <game id="19">
            <package_name>com.miHoYo.ys.mi</package_name>
            <surface_name>SurfaceView - com.miHoYo.ys.mi/com.miHoYo.GetMobileInfo.MainActivity#0</surface_name>
            <FPS_detect_profile>0</FPS_detect_profile>
            <temp_control_profile>0</temp_control_profile>
            <fps_list>20 25 30 35 40 45 50 55 60</fps_list>
            <default_fps>60</default_fps>
            <sched_tunable_profile> 8 </sched_tunable_profile>
        </game>
        <game id="20">
            <package_name>com.tencent.tmaoe</package_name>
            <surface_name>SurfaceView[com.tencent.tmaoe/com.tencent.tmaoe.MainActivity](BLAST)#0</surface_name>
            <FPS_detect_profile>0</FPS_detect_profile>
            <temp_control_profile>0</temp_control_profile>
            <fps_list>15 20 25 30 35 45 50 55 60</fps_list>
            <default_fps>60</default_fps>
            <sched_tunable_profile> 20 </sched_tunable_profile>
        </game>
        <game id="21">
            <package_name>com.minitech.miniworld</package_name>
            <surface_name>SurfaceView[com.minitech.miniworld/com.minitech.miniworld.MiniWorldActivity](BLAST)#</surface_name>
            <FPS_detect_profile>0</FPS_detect_profile>
            <temp_control_profile>0</temp_control_profile>
            <fps_list>15 20 25 30 35 45 50 55 60</fps_list>
            <default_fps>50</default_fps>
            <sched_tunable_profile> 21 </sched_tunable_profile>
        </game>
        <game id="22">
            <package_name>com.hottagames.hotta</package_name>
            <surface_name>SurfaceView[com.hottagames.hotta/com.epicgames.ue4.GameActivity](BLAST)#</surface_name>
            <FPS_detect_profile>0</FPS_detect_profile>
            <temp_control_profile>0</temp_control_profile>
            <fps_list>20 25 30 35 40 45 50 55 60</fps_list>
            <default_fps>60</default_fps>
            <sched_tunable_profile> 22 </sched_tunable_profile>
        </game>
        <game id="23">
            <package_name>com.zlongame.lzgwy.cn</package_name>
            <surface_name>SurfaceView[com.zlongame.lzgwy.cn/com.zlongame.ca1.UnityPlayerActivity](BLAST)#</surface_name>
            <FPS_detect_profile>0</FPS_detect_profile>
            <temp_control_profile>0</temp_control_profile>
            <fps_list>15 20 25 30 35 45 50 55 60</fps_list>
            <default_fps>60</default_fps>
            <sched_tunable_profile> 23 </sched_tunable_profile>
        </game>
        <game id="24">
            <package_name>com.netease.XY2Pocket</package_name>
            <surface_name>SurfaceView - com.netease.XY2Pocket/com.netease.XY2Pocket.Client#</surface_name>
            <FPS_detect_profile>0</FPS_detect_profile>
            <temp_control_profile>0</temp_control_profile>
            <fps_list>15 20 25 30 35 45 50 55 60</fps_list>
            <default_fps>30</default_fps>
            <sched_tunable_profile> 23 </sched_tunable_profile>
        </game>
        <game id="25">
            <package_name>com.miHoYo.hkrpg</package_name>
            <surface_name>SurfaceView[com.miHoYo.hkrpg/com.mihoyo.combosdk.ComboSDKActivity](BLAST)#</surface_name>
            <FPS_detect_profile>0</FPS_detect_profile>
            <temp_control_profile>0</temp_control_profile>
            <fps_list>20 25 30 35 40 45 50 55 60</fps_list>
            <default_fps>60</default_fps>
            <sched_tunable_profile> 25 </sched_tunable_profile>
        </game>
        <game id="26">
            <package_name>com.netease.nshm</package_name>
            <surface_name>SurfaceView[com.netease.nshm/com.ntes.nshm.NSHMActivity](BLAST)#</surface_name>
            <FPS_detect_profile>0</FPS_detect_profile>
            <temp_control_profile>0</temp_control_profile>
            <fps_list>20 25 30 35 40 45 50 55 60</fps_list>
            <default_fps>60</default_fps>
            <sched_tunable_profile> 26 </sched_tunable_profile>
        </game>
        <game id="27">
            <package_name>com.tencent.tmgp.gnyx</package_name>
            <surface_name>SurfaceView - com.tencent.tmgp.gnyx/com.epicgames.ue4.GameActivity#0</surface_name>
            <FPS_detect_profile>0</FPS_detect_profile>
            <temp_control_profile>0</temp_control_profile>
            <fps_list>20 25 30 35 40 45 50 55 60 65 70 75 80 85 90 95 100 105 110 115 120</fps_list>
            <default_fps>60</default_fps>
            <sched_tunable_profile> 27 </sched_tunable_profile>
        </game>
        <game id="28">
            <package_name>com.netease.race</package_name>
            <surface_name>SurfaceView[com.netease.race/com.netease.race.GameActivity]#3BLAST#3</surface_name>
            <FPS_detect_profile>0</FPS_detect_profile>
            <temp_control_profile>0</temp_control_profile>
            <fps_list>15 20 25 30 35 45 50 55 60</fps_list>
            <default_fps>60</default_fps>
            <sched_tunable_profile> 28 </sched_tunable_profile>
        </game>
        <game id="29">
            <package_name>com.hermes.p6game</package_name>
            <surface_name>SurfaceView[com.hermes.p6game/com.epicgames.ue4.GameActivity]#</surface_name>
            <FPS_detect_profile>0</FPS_detect_profile>
            <temp_control_profile>0</temp_control_profile>
            <fps_list>20 25 30 35 40 45 50 55 60</fps_list>
            <default_fps>60</default_fps>
            <sched_tunable_profile> 29 </sched_tunable_profile>
        </game>
        <game id="30">
            <package_name>com.hermes.j1game</package_name>
            <surface_name>SurfaceView[com.hermes.j1game/com.hermes.j1game.unity.UnityPlayerActivity](BLAST)#</surface_name>
            <FPS_detect_profile>0</FPS_detect_profile>
            <temp_control_profile>0</temp_control_profile>
            <fps_list>20 25 30 35 40 45 50 55 60</fps_list>
            <default_fps>30</default_fps>
            <sched_tunable_profile> 30 </sched_tunable_profile>
        </game>
        <game id="31">
            <package_name>com.netease.dfjs</package_name>
            <surface_name>SurfaceView[com.netease.dfjs/com.netease.race.GameActivity]#5BLAST#5</surface_name>
            <FPS_detect_profile>0</FPS_detect_profile>
            <temp_control_profile>0</temp_control_profile>
            <fps_list>15 20 25 30 35 45 50 55 60</fps_list>
            <default_fps>60</default_fps>
            <sched_tunable_profile> 28 </sched_tunable_profile>
        </game>
        <game id="32">
            <package_name>com.miHoYo.NapCb</package_name>
            <surface_name>SurfaceView[com.miHoYo.NapCb/com.mihoyo.combosdk.ComboSDKActivity]#11BLAST#11</surface_name>
            <FPS_detect_profile>0</FPS_detect_profile>
            <temp_control_profile>0</temp_control_profile>
            <fps_list>15 20 25 30 35 45 50 55 60</fps_list>
            <default_fps>30</default_fps>
            <sched_tunable_profile> 32 </sched_tunable_profile>
        </game>
        <game id="33">
            <package_name>com.tencent.letsgo</package_name>
            <surface_name>SurfaceView[com.tencent.letsgo/com.epicgames.ue4.GameActivityExt]#9BLAST#9</surface_name>
            <FPS_detect_profile>0</FPS_detect_profile>
            <temp_control_profile>0</temp_control_profile>
            <fps_list>15 20 25 30 35 45 50 55 60</fps_list>
            <default_fps>30</default_fps>
            <sched_tunable_profile> 33 </sched_tunable_profile>
        </game>
        <game id="34">
            <package_name>com.dfjz.moba</package_name>
            <surface_name>SurfaceView[com.dfjz.moba/com.moba.unityplugin.MobaGameUnityActivity]#18BLAST#18</surface_name>
            <FPS_detect_profile>0</FPS_detect_profile>
            <temp_control_profile>0</temp_control_profile>
            <fps_list>15 20 25 30 35 45 50 55 60</fps_list>
            <default_fps>30</default_fps>
            <sched_tunable_profile> 34 </sched_tunable_profile>
        </game>
        <game id="35">
            <package_name>com.wepie.snake.honor</package_name>
            <surface_name>SurfaceView[com.wepie.snake.honor/com.wepie.snake.app.activity.GameActivity](BLAST)#</surface_name>
            <FPS_detect_profile>0</FPS_detect_profile>
            <temp_control_profile>0</temp_control_profile>
            <fps_list>15 20 25 30 35 45 50 55 60</fps_list>
            <default_fps>30</default_fps>
            <sched_tunable_profile> 35 </sched_tunable_profile>
            <game_enable>0</game_enable>
        </game>
        <game id="36">
            <package_name>com.netease.onmyoji</package_name>
            <surface_name>com.netease.onmyoji/com.netease.onmyoji.Client#</surface_name>
            <FPS_detect_profile>0</FPS_detect_profile>
            <temp_control_profile>0</temp_control_profile>
            <fps_list>30 60</fps_list>
            <default_fps>60</default_fps>
            <sched_tunable_profile> 36 </sched_tunable_profile>
        </game>
        <game id="37">
            <package_name>com.tencent.tmgp.sgamece</package_name>
            <surface_name>SurfaceView - com.tencent.tmgp.sgamece/com.tencent.tmgp.sgamece.SGameActivity#0</surface_name>
            <FPS_detect_profile>0</FPS_detect_profile>
            <temp_control_profile>0</temp_control_profile>
            <fps_list>20 25 30 35 40 45 50 55 60 65 70 75 80 85 90 95 100 105 110 115 120</fps_list>
            <default_fps>60</default_fps>
            <sched_tunable_profile> 2 </sched_tunable_profile>
        </game>
        <game id="38">
            <package_name>com.happyelements.AndroidAnimal</package_name>
            <surface_name>SurfaceView[com.happyelements.AndroidAnimal/com.happyelements.hellolua.MainActivity](BLAST)#</surface_name>
            <FPS_detect_profile>0</FPS_detect_profile>
            <temp_control_profile>0</temp_control_profile>
            <fps_list>20 25 30 35 40 45 50 55 60</fps_list>
            <default_fps>60</default_fps>
            <sched_tunable_profile> 38 </sched_tunable_profile>
        </game>
        <game id="39">
            <package_name>com.sy.dldlhsdj</package_name>
            <surface_name>SurfaceView[com.sy.dldlhsdj/com.jiguang.amld.myactivity.UnityTestActivity](BLAST)#0</surface_name>
            <FPS_detect_profile>0</FPS_detect_profile>
            <temp_control_profile>0</temp_control_profile>
            <fps_list>30 60</fps_list>
            <default_fps>30</default_fps>
            <sched_tunable_profile> 39 </sched_tunable_profile>
        </game>
        <game id="40">
            <package_name>com.netease.moba</package_name>
            <surface_name>com.netease.moba/com.netease.g78.Client</surface_name>
            <FPS_detect_profile>0</FPS_detect_profile>
            <temp_control_profile>0</temp_control_profile>
            <fps_list>30 40 60 90 120</fps_list>
            <default_fps>60</default_fps>
            <sched_tunable_profile> 40 </sched_tunable_profile>
        </game>
        <game id="41">
            <package_name>com.netease.mrzh</package_name>
            <surface_name>com.netease.mrzh/com.netease.mrzh.Client</surface_name>
            <FPS_detect_profile>0</FPS_detect_profile>
            <temp_control_profile>0</temp_control_profile>
            <fps_list>20 25 30 35 40 45 50 55 60</fps_list>
            <default_fps>60</default_fps>
            <sched_tunable_profile> 41 </sched_tunable_profile>
        </game>
        <game id="42">
            <package_name>com.tencent.tmgp.trssj</package_name>
            <surface_name>SurfaceView[com.tencent.tmgp.trssj/com.epicgames.ue4.GameActivity](BLAST)#</surface_name>
            <FPS_detect_profile>0</FPS_detect_profile>
            <temp_control_profile>0</temp_control_profile>
            <fps_list>30 45 60</fps_list>
            <default_fps>60</default_fps>
            <sched_tunable_profile> 42 </sched_tunable_profile>
        </game>
        <game id="43">
            <package_name>com.miHoYo.Nap</package_name>
            <surface_name>SurfaceView[com.miHoYo.Nap/com.mihoyo.combosdk.ComboSDKActivity]#11BLAST#11</surface_name>
            <FPS_detect_profile>0</FPS_detect_profile>
            <temp_control_profile>0</temp_control_profile>
            <fps_list>15 20 25 30 35 45 50 55 60</fps_list>
            <default_fps>30</default_fps>
            <sched_tunable_profile> 32 </sched_tunable_profile>
        </game>
        <game id="44">
            <package_name>com.netease.party</package_name>
            <surface_name>SurfaceView[com.netease.party/com.netease.party.Client](BLAST)#</surface_name>
            <FPS_detect_profile>0</FPS_detect_profile>
            <temp_control_profile>0</temp_control_profile>
            <fps_list>30 45 60</fps_list>
            <default_fps>60</default_fps>
            <sched_tunable_profile> 44 </sched_tunable_profile>
        </game>
        <game id="45">
            <package_name>com.tencent.nfsonline</package_name>
            <surface_name>SurfaceView[com.tencent.nfsonline/com.epicgames.ue4.GameActivity](BLAST)#</surface_name>
            <FPS_detect_profile>0</FPS_detect_profile>
            <temp_control_profile>0</temp_control_profile>
            <fps_list>30 60 95 120</fps_list>
            <default_fps>30</default_fps>
            <sched_tunable_profile> 45 </sched_tunable_profile>
        </game>
        <game id="46">
            <package_name>com.netease.dwrg</package_name>
            <surface_name>com.netease.dwrg/com.netease.dwrg.Client#</surface_name>
            <FPS_detect_profile>0</FPS_detect_profile>
            <temp_control_profile>0</temp_control_profile>
            <fps_list>20 25 30 35 40 45 50 55 60 65 70 75 80 85 90 95 100 105 110 115 120</fps_list>
            <default_fps>30</default_fps>
            <sched_tunable_profile> 46 </sched_tunable_profile>
        </game>
        <game id="47">
            <package_name>com.tencent.tmgp.codev</package_name>
            <surface_name>SurfaceView - com.tencent.tmgp.codev/com.epicgames.ue4.GameActivity#0</surface_name>
            <FPS_detect_profile>0</FPS_detect_profile>
            <temp_control_profile>0</temp_control_profile>
            <fps_list>20 25 30 35 40 45 50 55 60 65 70 75 80 85 90 95 100 105 110 115 120</fps_list>
            <default_fps>60</default_fps>
            <sched_tunable_profile> 47 </sched_tunable_profile>
        </game>
        <game id="48">
            <package_name>com.netease.l22</package_name>
            <surface_name>SurfaceView[com.netease.l22/com.netease.ntunisdk.unisdk4UnityPlugin.AndroidPlugin](BLAST)#</surface_name>
            <FPS_detect_profile>0</FPS_detect_profile>
            <temp_control_profile>0</temp_control_profile>
            <fps_list>15 20 25 30 35 45 50 55 60</fps_list>
            <default_fps>30</default_fps>
            <sched_tunable_profile> 48 </sched_tunable_profile>
        </game>
    </game_list>

    <sched_tunables size='4'>
        <sched_tunables_detail fps="30">
            <default_sched_tunable  para_size="9"> <!--//平台default参数-->
                <para name="E_IDX_BOOST_DELAY" > 3000 </para>
                <para name="E_IDX_BOOST_TIMEOUT"> 5000000 </para>
                <para name="E_IDX_BOOST_THREAD_START"> 1 </para>
                <para name="E_IDX_FPS_MIN_LOSS"> 3 </para>
                <para name="E_IDX_FPS_MAX_LOSS"> 8 </para>
                <para name="E_IDX_MARGIN_MIN"> -2000 </para>
                <para name="E_IDX_COMPOSE_TIME_THRES"> 30000 </para>
                <para name="E_IDX_MARGIN_MAX"> 1000 </para>
                <para name="E_IDX_MAX_FREQ_JERK"> 0 </para>
            </default_sched_tunable>
            <specific_sched_tunable_list size = "14">
                <sched_tunable id="0" para_size="1"><!--//通用白名单游戏参数-->
                    <para name="E_IDX_MARGIN_MIN"> -2000 </para>
                </sched_tunable>
                <sched_tunable id="1" para_size="6"><!--//和平精英游戏参数-->
                    <para name="E_IDX_MARGIN_MIN"> 0 </para>
                    <para name="E_IDX_LP_CPU_LOWER_LIMIT"> 0 </para>
                    <para name="E_IDX_PF_CPU_LOWER_LIMIT"> 0 </para>
                    <para name="E_IDX_TRACK_RENDER"> 1 </para>
                    <para name="E_IDX_PROCESS_AFFINITY"> 1 </para>
                    <para name="E_IDX_CPU_RTG_BINDING"> 240 </para>
                </sched_tunable>
                <sched_tunable id="2" para_size="8"><!--//王者荣耀游戏参数-->
                    <para name="E_IDX_FPS_MIN_LOSS"> 2 </para>
                    <para name="E_IDX_FPS_MAX_LOSS"> 5 </para>
                    <para name="E_IDX_MARGIN_MIN"> 0 </para>
                    <para name="E_IDX_LP_CPU_LOWER_LIMIT"> 0 </para>
                    <para name="E_IDX_PF_CPU_LOWER_LIMIT"> 0 </para>
                    <para name="E_IDX_GPU_LOWER_LIMIT"> 0 </para>
                    <para name="E_IDX_RT_UTIL_THRES"> 100 </para>
                    <para name="E_IDX_BOOST_TIMEOUT"> 1000000 </para>
                </sched_tunable>
                <sched_tunable id="8" para_size="6"><!--//原神游戏参数-->
                    <para name="E_IDX_TRACK_RENDER"> 1 </para>
                    <para name="E_IDX_CPU_AFFINITY_RESET"> 1 </para>
                    <para name="E_IDX_PERFLOCK"> 0x41440000,80,0x41440100,80,0x41440200,80,0x40C74000,255,0x40408000,99,0x42828000,95,0x40C20200,40,0x40C1C200,50,0x41000200,1</para>
                    <para name="E_IDX_CPU_RTG_BINDING"> 112 </para>
                    <para name="E_IDX_PROCESS_AFFINITY"> 1 </para>
                    <para name="E_IDX_TASK_SCHED_ATTR_CONFIG"> "UnityMain"	128	-1	-1	-1	-1	-1	-1	-1	-1	-1 </para>
                </sched_tunable>
                <sched_tunable id="16" para_size="6"><!--//天涯明月刀游戏参数-->
                    <para name="E_IDX_FPS_MIN_LOSS"> 4 </para>
                    <para name="E_IDX_FPS_MAX_LOSS"> 10 </para>
                    <para name="E_IDX_MARGIN_MIN"> 0 </para>
                    <para name="E_IDX_BOOST_TIMEOUT"> 10000000 </para>
                    <para name="E_IDX_CPU_RTG_BINDING"> 240 </para>
                    <para name="E_IDX_CPU_AFFINITY_RESET"> 1 </para>
                </sched_tunable>
                <sched_tunable id="23" para_size="4"><!--//禁用CPU7游戏参数-->
                    <para name="E_IDX_CPU_RTG_BINDING"> 112 </para>
                    <para name="E_IDX_CPU_AFFINITY_RESET"> 1 </para>
                    <para name="E_IDX_PROCESS_AFFINITY"> 1 </para>
                    <para name="E_IDX_PERFLOCK">0x41000000,3, 0x41000100,4, 0x40C1C200,100 </para>
                </sched_tunable>
                <sched_tunable id="14" para_size="1"><!--//金铲铲之战游戏参数-->
                    <para name="E_IDX_TASK_SCHED_ATTR_CONFIG"> "UNKEY:LogicThread"	112	-1	-1	-1	-1	-1	-1	-1	-1	-1</para>
                </sched_tunable>
                <sched_tunable id="25" para_size="8"> <!--//星铁游戏参数-->
                    <para name="E_IDX_TRACK_RENDER"> 1 </para>
                    <para name="E_IDX_PERFLOCK"> 0x41000000,3, 0x41000100,4, 0x41000200,1</para>
                    <para name="E_IDX_CPU_AFFINITY_RESET"> 1 </para>
                    <para name="E_IDX_CPU_RTG_BINDING"> 112 </para>
                    <para name="E_IDX_PROCESS_AFFINITY"> 1 </para>
                    <para name="E_IDX_TASK_SCHED_ATTR_CONFIG"> "UnityMain"	128	-1	-1	-1	-1	-1	-1	-1	-1	-1 | "UNKEY:CriManaDecodeTh"	112	-1	-1	-1	-1	-1	-1	-1	-1	-1 </para>
                    <para name="E_IDX_MULTI_CORE_LINKAGE"> 1 </para>
                    <para name="E_IDX_MAX_FREQ_LIMIT"> 1555200,2227200,2361600 </para>
                </sched_tunable>
                <sched_tunable id="26" para_size="7"><!--//逆水寒游戏参数-->
                    <para name="E_IDX_MARGIN_MIN"> -2000 </para>
                    <para name="E_IDX_TRACK_RENDER"> 1 </para>
                    <para name="E_IDX_TASK_SCHED_ATTR_CONFIG"> "UnityMain"	128	-1	-1	-1	-1	-1	-1	-1	-1	-1 </para>
                    <para name="E_IDX_CPU_AFFINITY_RESET"> 1 </para>
                    <para name="E_IDX_CPU_RTG_BINDING"> 112 </para>
                    <para name="E_IDX_PROCESS_AFFINITY"> 1 </para>
                    <para name="E_IDX_PERFLOCK"> 0x41000000,3, 0x41000100,4, 0x41000200,1</para>
                </sched_tunable>
                <sched_tunable id="30" para_size="6"><!--//星球重启游戏参数-->
                    <para name="E_IDX_FPS_MIN_LOSS"> 2 </para>
                    <para name="E_IDX_FPS_MAX_LOSS"> 5 </para>
                    <para name="E_IDX_PROCESS_AFFINITY"> 1 </para>
                    <para name="E_IDX_TRACK_RENDER"> 1 </para>
                    <para name="E_IDX_CPU_RTG_BINDING"> 112 </para>
                    <para name="E_IDX_TASK_SCHED_ATTR_CONFIG"> "UnityMain"	128	-1	-1	-1	-1	-1	-1	-1	-1	-1 </para>
                </sched_tunable>
                <sched_tunable id="32" para_size="6"><!--//绝区零游戏参数-->
                    <para name="E_IDX_FPS_MIN_LOSS"> 2 </para>
                    <para name="E_IDX_FPS_MAX_LOSS"> 5 </para>
                    <para name="E_IDX_PROCESS_AFFINITY"> 1 </para>
                    <para name="E_IDX_TRACK_RENDER"> 1 </para>
                    <para name="E_IDX_CPU_RTG_BINDING"> 112 </para>
                    <para name="E_IDX_TASK_SCHED_ATTR_CONFIG"> "UnityMain"	128	-1	-1	-1	-1	-1	-1	-1	-1	-1 </para>
                </sched_tunable>
                <sched_tunable id="36" para_size="10"><!--//阴阳师游戏参数-->
                    <para name="E_IDX_FPS_MIN_LOSS"> 2 </para>
                    <para name="E_IDX_FPS_MAX_LOSS"> 5 </para>
                    <para name="E_IDX_MARGIN_MIN"> 1000 </para>
                    <para name="E_IDX_PROCESS_AFFINITY"> 1 </para>
                    <para name="E_IDX_CPU_RTG_BINDING"> 240 </para>
                    <para name="E_IDX_BOOST_DELAY"> 0 </para>
                    <para name="E_IDX_BOOST_TIMEOUT"> 500000 </para>
                    <para name="E_IDX_CPU_AFFINITY_RESET"> 1 </para>
                    <para name="E_IDX_PERFLOCK"> 0x40C1C000,30,0x40C20000,20,0x41000000,3,0x41000200,1 </para>
                    <para name="E_IDX_MAX_FRAME_PER_SECOND"> 30 </para>
                </sched_tunable>
                <sched_tunable id="39" para_size="8"><!--//斗罗大陆参数-->
                    <para name="E_IDX_FPS_MIN_LOSS"> 5 </para>
                    <para name="E_IDX_FPS_MAX_LOSS"> 8 </para>
                    <para name="E_IDX_TRACK_RENDER"> 1 </para>
                    <para name="E_IDX_CPU_AFFINITY_RESET"> 1 </para>
                    <para name="E_IDX_CPU_RTG_BINDING"> 112 </para>
                    <para name="E_IDX_PERFLOCK"> 0x41000000,3,0x41000200,1 </para>
                    <para name="E_IDX_TASK_SCHED_ATTR_CONFIG"> "UnityMain"	128	-1	-1	-1	-1	-1	-1	-1	-1	-1|"Thread-"	112	-1	-1	-1	-1	-1	-1	-1	-1	-1</para>
                    <para name="E_IDX_MAX_FRAME_PER_SECOND"> 30 </para>
                </sched_tunable>
                <sched_tunable id="48" para_size="8"><!--//永劫无间游戏参数-->
                    <para name="E_IDX_BOOST_DELAY"> 3000 </para>
                    <para name="E_IDX_TRACK_RENDER"> 1 </para>
                    <para name="E_IDX_PROCESS_AFFINITY"> 1 </para>
                    <para name="E_IDX_SUPPORT_YIELD_THREAD_DETECT"> 1 </para>
                    <para name="E_IDX_PERFLOCK"> 0x41000000,3,0x41000200,1 </para>
                    <para name="E_IDX_CPU_RTG_BINDING"> 112 </para>
                    <para name="E_IDX_TASK_SCHED_ATTR_CONFIG"> "UnityMain"	128	100	-1	-1	-1	-1	-1	-1	-1	-1 </para>
                    <para name="E_IDX_CGROUP_UCLAMP_CTL"> 1 </para>
                </sched_tunable>
            </specific_sched_tunable_list>
        </sched_tunables_detail>

        <sched_tunables_detail fps="60">
            <default_sched_tunable  para_size="11"> <!--//平台default参数-->
                <para name="E_IDX_BOOST_DELAY" > 2000 </para>
                <para name="E_IDX_BOOST_TIMEOUT"> 5000000 </para>
                <para name="E_IDX_BOOST_THREAD_START"> 1 </para>
                <para name="E_IDX_FPS_MIN_LOSS"> 3 </para>
                <para name="E_IDX_FPS_MAX_LOSS"> 8 </para>
                <para name="E_IDX_MARGIN_MIN"> -2000 </para>
                <para name="E_IDX_COMPOSE_TIME_THRES"> 14000 </para>
                <para name="E_IDX_MARGIN_MAX"> 1000 </para>
                <para name="E_IDX_GPU_ALWAYS_ON"> 0 </para>
                <para name="E_IDX_MAX_FREQ_JERK"> 0 </para>
                <para name="E_IDX_CGROUP_UCLAMP_CTL"> 0 </para>
            </default_sched_tunable>
            <specific_sched_tunable_list size = "35">
                <sched_tunable id="0" para_size="5"><!--//通用白名单游戏参数-->
                    <para name="E_IDX_MARGIN_MIN"> 1000 </para>
                    <para name="E_IDX_LP_CPU_LOWER_LIMIT"> 0 </para>
                    <para name="E_IDX_PF_CPU_LOWER_LIMIT"> 0 </para>
                    <para name="E_IDX_GPU_LOWER_LIMIT"> 0 </para>
                    <para name="E_IDX_CGROUP_UCLAMP_CTL"> 1 </para>
                </sched_tunable>
                <sched_tunable id="1" para_size="14"><!--//和平精英游戏参数-->
                    <para name="E_IDX_FPS_MIN_LOSS"> 3 </para>
                    <para name="E_IDX_FPS_MAX_LOSS"> 5 </para>
                    <para name="E_IDX_MARGIN_MIN"> 0 </para>
                    <para name="E_IDX_LP_CPU_LOWER_LIMIT"> 0 </para>
                    <para name="E_IDX_PF_CPU_LOWER_LIMIT"> 0 </para>
                    <para name="E_IDX_GPU_LOWER_LIMIT"> 0 </para>
                    <para name="E_IDX_SUPPORT_YIELD_THREAD_DETECT"> 1 </para>
                    <para name="E_IDX_TRACK_RENDER"> 1 </para>
                    <para name="E_IDX_BOOST_DELAY"> 0 </para>
                    <para name="E_IDX_MARGIN_TOLERANCE_IDX"> 1 </para>
                    <!-- perflock reference
                         MPCTLV3_LLCC_DDR_BW_SAMPLE_MS   0x43034000
                    -->
                    <para name="E_IDX_PERFLOCK"> 0x43034000,16,0x41000000,3,0x41000200,1 </para>
                    <para name="E_IDX_CGROUP_UCLAMP_CTL"> 1 </para>
                    <para name="E_IDX_CPU_RTG_BINDING"> 127 </para>
                    <para name="E_IDX_TASK_SCHED_ATTR_CONFIG"> "RenderThread"	128	100	-1	-1	-1	-1	-1	-1	-1	-1 | "Thread-"	112	100	-1	-1	-1	-1	-1	-1	-1	-1 </para>
                </sched_tunable>
                <sched_tunable id="2" para_size="16"><!--//王者荣耀游戏参数-->
                    <para name="E_IDX_FPS_MIN_LOSS"> 2 </para>
                    <para name="E_IDX_FPS_MAX_LOSS"> 5 </para>
                    <para name="E_IDX_LP_CPU_LOWER_LIMIT"> 0 </para>
                    <para name="E_IDX_PF_CPU_LOWER_LIMIT"> 0 </para>
                    <para name="E_IDX_GPU_LOWER_LIMIT"> 0 </para>
                    <para name="E_IDX_RT_UTIL_THRES"> 100 </para>
                    <para name="E_IDX_TRACK_RENDER"> 1 </para>
                    <para name="E_IDX_BOOST_TIMEOUT"> 1000000 </para>
                    <para name="E_IDX_MARGIN_MIN"> 0 </para>
                    <para name="E_IDX_MARGIN_TOLERANCE_IDX"> 1 </para>
                    <!-- perflock reference
                         MPCTLV3_LLCC_DDR_BW_SAMPLE_MS   0x43034000
                    -->
                    <para name="E_IDX_PERFLOCK"> 0x43034000,16,0x41000000,3,0x41000200,1,0x45010000,80,0x45014000,80 </para>
                    <para name="E_IDX_CPUCTL_MAX_UCLAMP"> 40 </para>
                    <para name="E_IDX_PROCESS_AFFINITY"> 1 </para>
                    <para name="E_IDX_CPU_RTG_BINDING"> 112 </para>
                    <para name="E_IDX_TASK_SCHED_ATTR_CONFIG"> "UnityMain"	128	-1	-1	-1	-1	-1	-1	-1	-1	-1 </para>
                    <para name="E_IDX_CGROUP_UCLAMP_CTL"> 1 </para>
                </sched_tunable>
                <sched_tunable id="3" para_size="6"><!--//使命召唤参数-->
                    <para name="E_IDX_TRACK_RENDER"> 1 </para>
                    <para name="E_IDX_CPU_AFFINITY_RESET"> 1 </para>
                    <para name="E_IDX_PERFLOCK"> 0x40C20200,40,0x40C1C200,50,0x41000100,3,0x41000200,1</para>
                    <para name="E_IDX_CPU_RTG_BINDING"> 112 </para>
                    <para name="E_IDX_PROCESS_AFFINITY"> 1 </para>
                    <para name="E_IDX_TASK_SCHED_ATTR_CONFIG"> "UnityMain"	128	-1	-1	-1	-1	-1	-1	-1	-1	-1 </para>
                </sched_tunable>
                <sched_tunable id="6" para_size="8"><!--//穿越火线游戏参数-->
                    <para name="E_IDX_PERFLOCK"> 0x40C1C000,85,0x41000000,3,0x41000200,1</para>
                    <para name="E_IDX_BOOST_DELAY"> 5000 </para>
                    <para name="E_IDX_BOOST_TIMEOUT"> 1000000 </para>
                    <para name="E_IDX_FPS_MIN_LOSS"> 10 </para>
                    <para name="E_IDX_FPS_MAX_LOSS"> 20 </para>
                    <para name="E_IDX_CPU_RTG_BINDING"> 112 </para>
                    <para name="E_IDX_PROCESS_AFFINITY"> 1 </para>
                    <para name="E_IDX_TASK_SCHED_ATTR_CONFIG"> "UnityMain"	128	-1	-1	-1	-1	-1	-1	-1	-1	-1 </para>
                </sched_tunable>
                <sched_tunable id="8" para_size="25"><!--//原神游戏参数-->
                    <para name="E_IDX_FPS_MIN_LOSS"> 5 </para>
                    <para name="E_IDX_FPS_MAX_LOSS"> 10 </para>
                    <para name="E_IDX_MARGIN_MIN"> -4000 </para>
                    <para name="E_IDX_LP_CPU_LOWER_LIMIT"> 0 </para>
                    <para name="E_IDX_PF_CPU_LOWER_LIMIT"> 0 </para>
                    <para name="E_IDX_GPU_LOWER_LIMIT"> 0 </para>
                    <para name="E_IDX_RT_UTIL_THRES"> 100 </para>
                    <para name="E_IDX_TRACK_RENDER"> 1 </para>
                    <para name="E_IDX_BOOST_DELAY"> 3000 </para>
                    <para name="E_IDX_BOOST_TIMEOUT"> 8000000 </para>
                    <para name="E_IDX_MARGIN_TOLERANCE_IDX"> 1 </para>
                    <para name="E_IDX_AB_FRAME_DETECT_ENABLE"> 1 </para>
                    <para name="E_IDX_MAX_HT_NUM"> 8 </para>
                    <!-- perflock reference
                       MPCTLV3_SCHEDUTIL_HISPEED_LOAD_CLUSTER_BIG      0x41440000
                       MPCTLV3_SCHEDUTIL_HISPEED_LOAD_CLUSTER_LITTLE   0x41440100
                       MPCTLV3_SCHEDUTIL_HISPEED_LOAD_CLUSTER_PRIME    0x41440200
                       MPCTLV3_SCHED_BUSY_HYSTERSIS_CPU_MASK           0x40C74000
                       MPCTLV3_LPM_BIAS_HYST                           0x40408000
                       MPCTLV3_GPU_LOAD_MOD_PERCENT                    0x42828000
                       MPCTLV3_MAX_FREQ_CLUSTER_PRIME_CORE_0           0x40804200
                       MPCTLV3_SCHED_DOWNMIGRATE                       0x40C20000
                       MPCTLV3_SCHED_DOWNMIGRATE_PRIME                 0x40C20200
                       MPCTLV3_SCHED_UPMIGRATE                         0x40C1C000
                       MPCTLV3_SCHED_UPMIGRATE_PRIME                   0x40C1C200
                       MPCTLV3_SCHED_GROUP_DOWNMIGRATE                 0x40C58000
                       MPCTLV3_SCHED_GROUP_UPMIGRATE                   0x40C54000
                    -->
                    <para name="E_IDX_PERFLOCK"> 0x41000200,1,0x4143C000,1440,0x41440000,95,0x40C20000,90,0x40C20200,40,0x40C1C000,100,0x40C1C200,60,0x40C74000,255,0x40408000,99,0x42828000,95 </para>
                    <para name="E_IDX_CPU_AFFINITY_RESET"> 1 </para>
                    <para name="E_IDX_CPU_RTG_BINDING"> 112 </para>
                    <para name="E_IDX_PROCESS_AFFINITY"> 1 </para>
                    <para name="E_IDX_MAX_FREQ_LIMIT"> 1555200,2227200,2246400 </para>
                    <para name="E_IDX_TASK_SCHED_ATTR_CONFIG"> "UnityMain"	128	-1	-1	-1	-1	-1	-1	-1	-1	-1 | "UnityGfxDeviceW"	112	-1	-1	-1	-1	-1	-1	-1	-1	-1 </para>
                    <para name="E_IDX_RL_SCHED_ENABLE"> 1 </para>
                    <para name="E_IDX_DYNAMIC_BINDING_ENABLE"> 1 </para>
                    <para name="E_IDX_BINDING_HIGH_LOAD_THRESHOLD"> 2400 </para>
                    <para name="E_IDX_BINDING_LOW_LOAD_THRESHOLD"> 100 </para>
                    <para name="E_IDX_MAX_FRAME_PER_SECOND"> 60 </para>
                    <para name="E_IDX_MAX_FRAME_PER_SECOND_LIMIT"> 45 </para>
                </sched_tunable>
                <sched_tunable id="9" para_size="6"><!--//英雄联盟游戏参数-->
                    <para name="E_IDX_PROCESS_AFFINITY"> 1 </para>
                    <para name="E_IDX_CPU_RTG_BINDING"> 112 </para>
                    <para name="E_IDX_PROCESS_AFFINITY"> 1 </para>
                    <para name="E_IDX_TRACK_RENDER"> 1 </para>
                    <para name="E_IDX_PERFLOCK"> 0x41000000,3,0x41000200,1 </para>
                    <para name="E_IDX_TASK_SCHED_ATTR_CONFIG"> "UnityMain"    128 -1    -1    -1    -1    -1    -1    -1     -1    -1 | "UNKEY:LogicThread"	112	-1	-1	-1	-1	-1	-1	-1	-1	-1</para>
                </sched_tunable>
                <sched_tunable id="14" para_size="5"><!--//金铲铲游戏参数-->
                    <para name="E_IDX_CPU_RTG_BINDING"> 112 </para>
                    <para name="E_IDX_PROCESS_AFFINITY"> 1 </para>
                    <para name="E_IDX_TASK_SCHED_ATTR_CONFIG"> "UnityMain"	128	-1	-1	-1	-1	-1	-1	-1	-1	-1 | "UNKEY:LogicThread"	112	-1	-1	-1	-1	-1	-1	-1	-1	-1</para>
                    <para name="E_IDX_PERFLOCK"> 0x41000200,1 </para>
                    <para name="E_IDX_TRACK_RENDER"> 1 </para>
                </sched_tunable>
                <sched_tunable id="12" para_size="19"><!--//原神海外版游戏参数-->
                    <para name="E_IDX_FPS_MIN_LOSS"> 2 </para>
                    <para name="E_IDX_FPS_MAX_LOSS"> 6 </para>
                    <para name="E_IDX_MARGIN_MIN"> -4000 </para>
                    <para name="E_IDX_LP_CPU_LOWER_LIMIT"> 0 </para>
                    <para name="E_IDX_PF_CPU_LOWER_LIMIT"> 0 </para>
                    <para name="E_IDX_GPU_LOWER_LIMIT"> 0 </para>
                    <para name="E_IDX_RT_UTIL_THRES"> 100 </para>
                    <para name="E_IDX_TRACK_RENDER"> 1 </para>
                    <para name="E_IDX_BOOST_DELAY"> 3000 </para>
                    <para name="E_IDX_BOOST_TIMEOUT"> 10000000 </para>
                    <para name="E_IDX_MARGIN_TOLERANCE_IDX"> 1 </para>
                    <para name="E_IDX_AB_FRAME_DETECT_ENABLE"> 1 </para>
                    <para name="E_IDX_MAX_HT_NUM"> 8 </para>
                    <para name="E_IDX_PERFLOCK"> 0x41000200,1,0x4143C000,1440,0x41440000,95,0x40C20000,90,0x40C20200,40,0x40C1C000,100,0x40C1C200,60,0x40C74000,255,0x40408000,99,0x42828000,95 </para>
                    <para name="E_IDX_CPU_AFFINITY_RESET"> 1 </para>
                    <para name="E_IDX_CPU_RTG_BINDING"> 112 </para>
                    <para name="E_IDX_PROCESS_AFFINITY"> 1 </para>
                    <para name="E_IDX_MAX_FREQ_LIMIT"> 1555200,2227200,2246400 </para>
                    <para name="E_IDX_TASK_SCHED_ATTR_CONFIG"> "UnityMain"	128	-1	-1	-1	-1	-1	-1	-1	-1	-1 </para>
                </sched_tunable>
                <sched_tunable id="13" para_size="16"><!--//光明山脉游戏参数-->
                    <para name="E_IDX_FPS_MIN_LOSS"> 10 </para>
                    <para name="E_IDX_FPS_MAX_LOSS"> 15 </para>
                    <para name="E_IDX_MARGIN_MIN"> -4000 </para>
                    <para name="E_IDX_LP_CPU_LOWER_LIMIT"> 0 </para>
                    <para name="E_IDX_PF_CPU_LOWER_LIMIT"> 0 </para>
                    <para name="E_IDX_GPU_LOWER_LIMIT"> 0 </para>
                    <para name="E_IDX_RT_UTIL_THRES"> 100 </para>
                    <para name="E_IDX_TRACK_RENDER"> 1 </para>
                    <para name="E_IDX_BOOST_DELAY"> 2000 </para>
                    <para name="E_IDX_BOOST_TIMEOUT"> 5000000 </para>
                    <para name="E_IDX_MARGIN_TOLERANCE_IDX"> 1 </para>
                    <para name="E_IDX_AB_FRAME_DETECT_ENABLE"> 1 </para>
                    <para name="E_IDX_MAX_HT_NUM"> 8 </para>
                    <para name="E_IDX_PERFLOCK"> 0x40C20000,90,0x40C20200,40,0x40C1C000,100,0x40C1C200,50,0x40C74000,255,0x40408000,99,0x42828000,95 </para>
                    <para name="E_IDX_CPU_AFFINITY_RESET"> 1 </para>
                    <para name="E_IDX_CPU_RTG_BINDING"> 240 </para>
                </sched_tunable>
                <sched_tunable id="16" para_size="6"><!--//天涯明月刀游戏参数-->
                    <para name="E_IDX_FPS_MIN_LOSS"> 4 </para>
                    <para name="E_IDX_FPS_MAX_LOSS"> 10 </para>
                    <para name="E_IDX_MARGIN_MIN"> 0 </para>
                    <para name="E_IDX_BOOST_TIMEOUT"> 10000000 </para>
                    <para name="E_IDX_CPU_RTG_BINDING"> 240 </para>
                    <para name="E_IDX_CPU_AFFINITY_RESET"> 1 </para>
                </sched_tunable>
                <sched_tunable id="18" para_size="14"><!--//和平精英海外游戏参数-->
                    <para name="E_IDX_MARGIN_MIN"> -2000 </para>
                    <para name="E_IDX_LP_CPU_LOWER_LIMIT"> 0 </para>
                    <para name="E_IDX_PF_CPU_LOWER_LIMIT"> 0 </para>
                    <para name="E_IDX_GPU_LOWER_LIMIT"> 0 </para>
                    <para name="E_IDX_TRACK_RENDER"> 1 </para>
                    <para name="E_IDX_FPS_MIN_LOSS"> 5 </para>
                    <para name="E_IDX_FPS_MAX_LOSS"> 10 </para>
                    <para name="E_IDX_BOOST_DELAY"> 2000 </para>
                    <para name="E_IDX_MARGIN_TOLERANCE_IDX"> 1 </para>
                    <para name="E_IDX_PERFLOCK"> 0x43034000,16,0x41000100,3,0x40C1C000,40,0x40C20000,30 </para>
                    <para name="E_IDX_CPU_RTG_BINDING"> 240 </para>
                    <para name="E_IDX_CPUCTL_MAX_UCLAMP"> 40 </para>
                    <para name="E_IDX_PROCESS_AFFINITY"> 1 </para>
                    <para name="E_IDX_MAX_FRAME_PER_SECOND"> 60 </para>
                </sched_tunable>
                <sched_tunable id="20" para_size="7"><!--//重返帝国参数-->
                    <para name="E_IDX_MARGIN_MIN"> 0 </para>
                    <para name="E_IDX_TRACK_RENDER"> 1 </para>
                    <para name="E_IDX_CPU_AFFINITY_RESET"> 1 </para>
                    <para name="E_IDX_PROCESS_AFFINITY"> 1 </para>
                    <para name="E_IDX_CPU_RTG_BINDING"> 112 </para>
                    <para name="E_IDX_PERFLOCK"> 0x41000000,3,0x41000200,1 </para>
                    <para name="E_IDX_TASK_SCHED_ATTR_CONFIG"> "UnityMain"	128	-1	-1	-1	-1	-1	-1	-1	-1	-1 </para>
                </sched_tunable>
                <sched_tunable id="4" para_size="3"><!--//QQ飞车游戏参数-->
                    <para name="E_IDX_CPU_RTG_BINDING"> 120 </para>
                    <para name="E_IDX_TASK_SCHED_ATTR_CONFIG"> "UnityMain"	128	-1	-1	-1	-1	-1	-1	-1	-1	-1 </para>
                    <para name="E_IDX_PERFLOCK"> 0x41000000,3,0x41000100,3,0x41000200,1,0x40C1C000,35,0x40C20000,25 </para>
                </sched_tunable>
                <sched_tunable id="21" para_size="11"><!--//迷你世界游戏参数-->
                    <para name="E_IDX_MAX_FRAME_PER_SECOND_LIMIT"> 52 </para>
                    <para name="E_IDX_MAX_FRAME_PER_SECOND"> 60 </para>
                    <para name="E_IDX_FPS_MIN_LOSS"> 5 </para>
                    <para name="E_IDX_FPS_MAX_LOSS"> 10 </para>
                    <para name="E_IDX_MARGIN_MIN"> 1000 </para>
                    <para name="E_IDX_TRACK_RENDER"> 1 </para>
                    <para name="E_IDX_CPU_AFFINITY_RESET"> 1 </para>
                    <para name="E_IDX_PROCESS_AFFINITY"> 1 </para>
                    <para name="E_IDX_CPU_RTG_BINDING"> 112 </para>
                    <para name="E_IDX_PERFLOCK">0x41000000,3, 0x41000100,4, 0x41000200,1</para>
                    <para name="E_IDX_TASK_SCHED_ATTR_CONFIG"> "MiniRainbowMain"	128	-1	-1	-1	-1	-1	-1	-1	-1	-1</para>
                </sched_tunable>
                <sched_tunable id="22" para_size="7"><!--//幻塔游戏参数-->
                    <para name="E_IDX_FPS_MIN_LOSS"> 4 </para>
                    <para name="E_IDX_FPS_MAX_LOSS"> 10 </para>
                    <para name="E_IDX_MARGIN_MIN"> 0 </para>
                    <para name="E_IDX_BOOST_TIMEOUT"> 10000000 </para>
                    <para name="E_IDX_CPU_RTG_BINDING"> 240 </para>
                    <para name="E_IDX_MAX_FREQ_LIMIT"> 1555200,2227200,2476800 </para>
                    <para name="E_IDX_CPU_AFFINITY_RESET"> 1 </para>
                </sched_tunable>
                <sched_tunable id="23" para_size="4"><!--//禁用CPU7游戏参数-->
                    <para name="E_IDX_CPU_RTG_BINDING"> 112 </para>
                    <para name="E_IDX_CPU_AFFINITY_RESET"> 1 </para>
                    <para name="E_IDX_PROCESS_AFFINITY"> 1 </para>
                    <para name="E_IDX_PERFLOCK">0x41000000,3, 0x41000100,4, 0x40C1C200,100 </para>
                </sched_tunable>
                <sched_tunable id="25" para_size="12"> <!--//星铁游戏参数-->
                    <para name="E_IDX_FPS_MIN_LOSS"> 8 </para>
                    <para name="E_IDX_FPS_MAX_LOSS"> 13 </para>
                    <para name="E_IDX_MARGIN_MIN"> -4000 </para>
                    <para name="E_IDX_TRACK_RENDER"> 1 </para>
                    <para name="E_IDX_MARGIN_TOLERANCE_IDX"> 1 </para>
                    <para name="E_IDX_PERFLOCK"> 0x41000000,3, 0x41000100,4, 0x41000200,1</para>
                    <para name="E_IDX_CPU_AFFINITY_RESET"> 1 </para>
                    <para name="E_IDX_CPU_RTG_BINDING"> 112 </para>
                    <para name="E_IDX_PROCESS_AFFINITY"> 1 </para>
                    <para name="E_IDX_TASK_SCHED_ATTR_CONFIG"> "UnityMain"	240	-1	-1	-1	-1	-1	-1	-1	-1	-1 | "UnityGfxDeviceW"	240	-1	-1	-1	-1	-1	-1	-1	-1	-1 | "UNKEY:CriManaDecodeTh"	112	-1	-1	-1	-1	-1	-1	-1	-1	-1 </para>
                    <para name="E_IDX_MULTI_CORE_LINKAGE"> 1 </para>
                    <para name="E_IDX_MAX_FREQ_LIMIT"> 1555200,2227200,2361600 </para>
                </sched_tunable>
                <sched_tunable id="26" para_size="7"><!--//逆水寒游戏参数-->
                    <para name="E_IDX_MARGIN_MIN"> -2000 </para>
                    <para name="E_IDX_TRACK_RENDER"> 1 </para>
                    <para name="E_IDX_TASK_SCHED_ATTR_CONFIG"> "UnityMain"	128	-1	-1	-1	-1	-1	-1	-1	-1	-1 </para>
                    <para name="E_IDX_CPU_AFFINITY_RESET"> 1 </para>
                    <para name="E_IDX_CPU_RTG_BINDING"> 112 </para>
                    <para name="E_IDX_PROCESS_AFFINITY"> 1 </para>
                    <para name="E_IDX_PERFLOCK"> 0x41000000,3, 0x41000100,4, 0x41000200,1</para>
                </sched_tunable>
                <sched_tunable id="27" para_size="12"><!--//高能英雄游戏参数-->
                    <para name="E_IDX_MARGIN_MIN"> 0 </para>
                    <para name="E_IDX_LP_CPU_LOWER_LIMIT"> 0 </para>
                    <para name="E_IDX_PF_CPU_LOWER_LIMIT"> 0 </para>
                    <para name="E_IDX_GPU_LOWER_LIMIT"> 0 </para>
                    <para name="E_IDX_SUPPORT_YIELD_THREAD_DETECT"> 1 </para>
                    <para name="E_IDX_TRACK_RENDER"> 1 </para>
                    <para name="E_IDX_FPS_MIN_LOSS"> 5 </para>
                    <para name="E_IDX_FPS_MAX_LOSS"> 15 </para>
                    <para name="E_IDX_BOOST_DELAY"> -1500 </para>
                    <para name="E_IDX_MARGIN_TOLERANCE_IDX"> 1 </para>
                    <!-- perflock reference
                         MPCTLV3_LLCC_DDR_BW_SAMPLE_MS   0x43034000
                    -->
                    <para name="E_IDX_PERFLOCK"> 0x43034000,16,0x41000000,3 </para>
                    <para name="E_IDX_CPUCTL_MAX_UCLAMP"> 40 </para>
                </sched_tunable>
                <sched_tunable id="28" para_size="4"><!--//巅峰极速游戏参数-->
                    <para name="E_IDX_PROCESS_AFFINITY"> 1 </para>
                    <para name="E_IDX_CPU_RTG_BINDING"> 112 </para>
                    <para name="E_IDX_TASK_SCHED_ATTR_CONFIG"> "GameThread"    128 -1    -1    -1    -1    -1    -1    -1     -1    -1 </para>
                    <para name="E_IDX_MULTI_CORE_LINKAGE"> 1 </para>
                </sched_tunable>
                <sched_tunable id="29" para_size="14"><!--//晶核游戏参数-->
                    <para name="E_IDX_MARGIN_MIN"> 0 </para>
                    <para name="E_IDX_LP_CPU_LOWER_LIMIT"> 0 </para>
                    <para name="E_IDX_PF_CPU_LOWER_LIMIT"> 0 </para>
                    <para name="E_IDX_GPU_LOWER_LIMIT"> 0 </para>
                    <para name="E_IDX_SUPPORT_YIELD_THREAD_DETECT"> 1 </para>
                    <para name="E_IDX_TRACK_RENDER"> 1 </para>
                    <para name="E_IDX_FPS_MIN_LOSS"> 5 </para>
                    <para name="E_IDX_FPS_MAX_LOSS"> 15 </para>
                    <para name="E_IDX_BOOST_DELAY"> -1500 </para>
                    <para name="E_IDX_CPU_RTG_BINDING"> 112 </para>
                    <para name="E_IDX_MARGIN_TOLERANCE_IDX"> 1 </para>
                    <para name="E_IDX_PERFLOCK"> 0x43034000,16,0x41000000,3 </para>
                    <para name="E_IDX_CPUCTL_MAX_UCLAMP"> 40 </para>
                    <para name="E_IDX_MAX_FREQ_LIMIT"> 1555200,2227200,2361600 </para>
                </sched_tunable>
                <sched_tunable id="30" para_size="6"><!--//星球重启游戏参数-->
                    <para name="E_IDX_FPS_MIN_LOSS"> 2 </para>
                    <para name="E_IDX_FPS_MAX_LOSS"> 5 </para>
                    <para name="E_IDX_PROCESS_AFFINITY"> 1 </para>
                    <para name="E_IDX_TRACK_RENDER"> 1 </para>
                    <para name="E_IDX_CPU_RTG_BINDING"> 112 </para>
                    <para name="E_IDX_TASK_SCHED_ATTR_CONFIG"> "UnityMain"	128	-1	-1	-1	-1	-1	-1	-1	-1	-1 </para>
                </sched_tunable>
                <sched_tunable id="32" para_size="6"><!--//绝区零游戏参数-->
                    <para name="E_IDX_FPS_MIN_LOSS"> 2 </para>
                    <para name="E_IDX_FPS_MAX_LOSS"> 5 </para>
                    <para name="E_IDX_PROCESS_AFFINITY"> 1 </para>
                    <para name="E_IDX_TRACK_RENDER"> 1 </para>
                    <para name="E_IDX_CPU_RTG_BINDING"> 112 </para>
                    <para name="E_IDX_TASK_SCHED_ATTR_CONFIG"> "UnityMain"	128	-1	-1	-1	-1	-1	-1	-1	-1	-1 </para>
                </sched_tunable>
                <sched_tunable id="33" para_size="13"><!--//元梦之星游戏参数-->
                    <para name="E_IDX_FPS_MIN_LOSS"> 5 </para>
                    <para name="E_IDX_FPS_MAX_LOSS"> 15 </para>
                    <para name="E_IDX_MARGIN_MIN"> -1000 </para>
                    <para name="E_IDX_SUPPORT_YIELD_THREAD_DETECT"> 1 </para>
                    <para name="E_IDX_BOOST_TIMEOUT"> 500000 </para>
                    <para name="E_IDX_LP_CPU_LOWER_LIMIT"> 0 </para>
                    <para name="E_IDX_PF_CPU_LOWER_LIMIT"> 0 </para>
                    <para name="E_IDX_RT_UTIL_THRES"> 100 </para>
                    <para name="E_IDX_TRACK_RENDER"> 1 </para>
                    <para name="E_IDX_PROCESS_AFFINITY"> 1 </para>
                    <para name="E_IDX_CPU_RTG_BINDING"> 112 </para>
                    <para name="E_IDX_PERFLOCK"> 0x43034000,16,0x41000000,3,0x41000200,1 </para>
                    <para name="E_IDX_TASK_SCHED_ATTR_CONFIG"> "RHIThread"	128	-1	-1	-1	-1	-1	-1	-1	-1	-1 </para>
                </sched_tunable>
                <sched_tunable id="36" para_size="15"><!--//阴阳师游戏参数-->
                    <para name="E_IDX_FPS_MIN_LOSS"> 5 </para>
                    <para name="E_IDX_FPS_MAX_LOSS"> 10 </para>
                    <para name="E_IDX_MARGIN_MIN"> -1000 </para>
                    <para name="E_IDX_PROCESS_AFFINITY"> 1 </para>
                    <para name="E_IDX_CPU_RTG_BINDING"> 112 </para>
                    <para name="E_IDX_BOOST_DELAY" > 3000 </para>
                    <para name="E_IDX_BOOST_TIMEOUT"> 5000000 </para>
                    <para name="E_IDX_CPU_AFFINITY_RESET"> 1 </para>
                    <para name="E_IDX_TRACK_RENDER"> 1 </para>
                    <para name="E_IDX_CGROUP_UCLAMP_CTL"> 1 </para>
                    <para name="E_IDX_CPUCTL_MIN_UCLAMP"> 40 </para>
                    <para name="E_IDX_PERFLOCK"> 0x40C1C000,30,0x40C20000,20,0x41000000,3,0x41000200,1 </para>
                    <para name="E_IDX_TASK_SCHED_ATTR_CONFIG"> "Thread-"    128	-1	-1	-1	-1	-1	-1	-1	-1	-1 </para>
                    <para name="E_IDX_MAX_FRAME_PER_SECOND_LIMIT"> 52 </para>
                    <para name="E_IDX_MAX_FRAME_PER_SECOND"> 60 </para>
                </sched_tunable>
                <sched_tunable id="38" para_size="4"><!--//开心消消乐游戏参数-->
                    <para name="E_IDX_PERFLOCK"> 0x41000200,1 </para>
                    <para name="E_IDX_TASK_SCHED_ATTR_CONFIG"> "GLThread"	128	-1	-1	-1	-1	-1	-1	-1	-1	-1 </para>
                    <para name="E_IDX_CGROUP_UCLAMP_CTL"> 1 </para>
                    <para name="E_IDX_CPUCTL_MIN_UCLAMP"> 40 </para>
                </sched_tunable>
                <sched_tunable id="39" para_size="12"><!--//斗罗大陆参数-->
                    <para name="E_IDX_FPS_MIN_LOSS"> 5 </para>
                    <para name="E_IDX_FPS_MAX_LOSS"> 8 </para>
                    <para name="E_IDX_MARGIN_MIN"> 1000 </para>
                    <para name="E_IDX_TRACK_RENDER"> 1 </para>
                    <para name="E_IDX_CPU_AFFINITY_RESET"> 1 </para>
                    <para name="E_IDX_PROCESS_AFFINITY"> 1 </para>
                    <para name="E_IDX_CPU_RTG_BINDING"> 112 </para>
                    <para name="E_IDX_PERFLOCK"> 0x41000000,3,0x41000200,1 </para>
                    <para name="E_IDX_CGROUP_UCLAMP_CTL"> 1 </para>
                    <para name="E_IDX_TASK_SCHED_ATTR_CONFIG"> "UnityMain"	128	-1	-1	-1	-1	-1	-1	-1	-1	-1 |"Thread-"	112	-1	-1	-1	-1	-1	-1	-1	-1	-1</para>
                    <para name="E_IDX_MAX_FRAME_PER_SECOND_LIMIT"> 52 </para>
                    <para name="E_IDX_MAX_FRAME_PER_SECOND"> 60 </para>
                </sched_tunable>
                <sched_tunable id="41" para_size="5"><!--//明日之后参数-->
                    <para name="E_IDX_PROCESS_AFFINITY"> 1 </para>
                    <para name="E_IDX_CPU_RTG_BINDING"> 112 </para>
                    <para name="E_IDX_TRACK_RENDER"> 1 </para>
                    <para name="E_IDX_TASK_SCHED_ATTR_CONFIG"> "Thread-"    128	-1	-1	-1	-1	-1	-1	-1	-1	-1 </para>
                    <para name="E_IDX_MAX_FREQ_LIMIT"> 1804800,2227200,2361600 </para>
                </sched_tunable>
                <sched_tunable id="42" para_size="6"><!--//塔瑞斯世界参数-->
                    <para name="E_IDX_TRACK_RENDER"> 1 </para>
                    <para name="E_IDX_CPU_AFFINITY_RESET"> 1 </para>
                    <para name="E_IDX_CPU_RTG_BINDING"> 112 </para>
                    <para name="E_IDX_PERFLOCK"> 0x41000000,3,0x41000200,1 </para>
                    <para name="E_IDX_TASK_SCHED_ATTR_CONFIG"> "RenderThread"	128	-1	-1	-1	-1	-1	-1	-1	-1	-1 </para>
                    <para name="E_IDX_CGROUP_UCLAMP_CTL"> 1 </para>
                </sched_tunable>
                <sched_tunable id="44" para_size="7"><!--//蛋仔派对参数-->
                    <para name="E_IDX_TRACK_RENDER"> 1 </para>
                    <para name="E_IDX_PROCESS_AFFINITY"> 1 </para>
                    <para name="E_IDX_CPU_AFFINITY_RESET"> 1 </para>
                    <para name="E_IDX_CPU_RTG_BINDING"> 112 </para>
                    <para name="E_IDX_PERFLOCK"> 0x41000000,3,0x41000200,1 </para>
                    <para name="E_IDX_TASK_SCHED_ATTR_CONFIG"> "MainThread"	128	-1	-1	-1	-1	-1	-1	-1	-1	-1 </para>
                    <para name="E_IDX_CGROUP_UCLAMP_CTL"> 1 </para>
                </sched_tunable>
                <sched_tunable id="45" para_size="8"><!--//极品飞车游戏参数-->
                    <para name="E_IDX_BOOST_DELAY"> 3000 </para>
                    <para name="E_IDX_TRACK_RENDER"> 1 </para>
                    <para name="E_IDX_PROCESS_AFFINITY"> 1 </para>
                    <para name="E_IDX_CPU_AFFINITY_RESET"> 1 </para>
                    <para name="E_IDX_CPU_RTG_BINDING"> 112 </para>
                    <para name="E_IDX_PERFLOCK"> 0x41000000,3,0x41000200,1 </para>
                    <para name="E_IDX_TASK_SCHED_ATTR_CONFIG"> "GameThread"    128 -1    -1    -1    -1    -1    -1    -1     -1    -1 </para>
                    <para name="E_IDX_CGROUP_UCLAMP_CTL"> 1 </para>
                </sched_tunable>
                <sched_tunable id="46" para_size="8"><!--//第五人格游戏参数-->
                    <para name="E_IDX_BOOST_DELAY"> 3000 </para>
                    <para name="E_IDX_TRACK_RENDER"> 1 </para>
                    <para name="E_IDX_PROCESS_AFFINITY"> 1 </para>
                    <para name="E_IDX_CPU_AFFINITY_RESET"> 1 </para>
                    <para name="E_IDX_CPU_RTG_BINDING"> 112 </para>
                    <para name="E_IDX_PERFLOCK"> 0x41000000,3,0x41000200,1 </para>
                    <para name="E_IDX_TASK_SCHED_ATTR_CONFIG"> "Thread-"	128	-1	-1	-1	-1	-1	-1	-1	-1	-1 </para>
                    <para name="E_IDX_CGROUP_UCLAMP_CTL"> 1 </para>
                </sched_tunable>
                <sched_tunable id="47" para_size="10"><!--//codev的参数-->
                    <para name="E_IDX_FPS_MIN_LOSS"> 3 </para>
                    <para name="E_IDX_FPS_MAX_LOSS"> 8 </para>
                    <para name="E_IDX_MARGIN_MIN"> 0 </para>
                    <para name="E_IDX_RT_UTIL_THRES"> 100 </para>
                    <para name="E_IDX_TRACK_RENDER"> 1 </para>
                    <para name="E_IDX_BOOST_TIMEOUT"> 1000000 </para>
                    <para name="E_IDX_PERFLOCK"> 0x41000100,3, 0x41000200,1 </para>
                    <para name="E_IDX_PROCESS_AFFINITY"> 1 </para>
                    <para name="E_IDX_CPU_RTG_BINDING"> 112 </para>
                    <para name="E_IDX_TASK_SCHED_ATTR_CONFIG"> "GameThread"	128	100	-1	-1	-1	-1	-1	-1	-1	-1 | "RenderThread"	112	100	-1	-1	-1	-1	-1	-1	-1	-1 </para>
                </sched_tunable>
                <sched_tunable id="48" para_size="10"><!--//永劫无间游戏参数-->
                    <para name="E_IDX_BOOST_DELAY"> 3000 </para>
                    <para name="E_IDX_TRACK_RENDER"> 1 </para>
                    <para name="E_IDX_PROCESS_AFFINITY"> 1 </para>
                    <para name="E_IDX_SUPPORT_YIELD_THREAD_DETECT"> 1 </para>
                    <para name="E_IDX_PERFLOCK"> 0x41000000,3,0x41000200,1 </para>
                    <para name="E_IDX_CPU_RTG_BINDING"> 112 </para>
                    <para name="E_IDX_MAX_FRAME_PER_SECOND_LIMIT"> 52 </para>
                    <para name="E_IDX_MAX_FRAME_PER_SECOND"> 60 </para>
                    <para name="E_IDX_TASK_SCHED_ATTR_CONFIG"> "UnityMain"	128	100	-1	-1	-1	-1	-1	-1	-1	-1 </para>
                    <para name="E_IDX_CGROUP_UCLAMP_CTL"> 1 </para>
                </sched_tunable>
            </specific_sched_tunable_list>
        </sched_tunables_detail>

        <sched_tunables_detail fps="90">
            <default_sched_tunable  para_size="8"> <!--//平台default参数-->
                <para name="E_IDX_MARGIN_MIN"> 0 </para>
                <para name="E_IDX_BOOST_DELAY"> 1500 </para>
                <para name="E_IDX_BOOST_TIMEOUT"> 5000000 </para>
                <para name="E_IDX_COMPOSE_TIME_THRES"> 10000 </para>
                <para name="E_IDX_GPU_ALWAYS_ON"> 1 </para>
                <para name="E_IDX_MARGIN_MAX"> 1000 </para>
                <para name="E_IDX_MAX_FREQ_JERK"> 0 </para>
                <para name="E_IDX_CGROUP_UCLAMP_CTL"> 0 </para>
            </default_sched_tunable>
            <specific_sched_tunable_list size = "14">
                <sched_tunable id="0" para_size="3"><!--//通用白名单游戏参数-->
                    <para name="E_IDX_LP_CPU_LOWER_LIMIT"> 0 </para>
                    <para name="E_IDX_PF_CPU_LOWER_LIMIT"> 0 </para>
                    <para name="E_IDX_GPU_LOWER_LIMIT"> 0 </para>
                </sched_tunable>
                <sched_tunable id="1" para_size="16"><!--//和平精英游戏参数-->
                    <para name="E_IDX_LP_CPU_LOWER_LIMIT"> 1 </para>
                    <para name="E_IDX_PF_CPU_LOWER_LIMIT"> 0 </para>
                    <para name="E_IDX_GPU_LOWER_LIMIT"> 0 </para>
                    <para name="E_IDX_SUPPORT_YIELD_THREAD_DETECT"> 1 </para>
                    <para name="E_IDX_GPU_ALWAYS_ON"> 0 </para>
                    <para name="E_IDX_MARGIN_MIN"> -1000 </para>
                    <para name="E_IDX_TRACK_RENDER"> 1 </para>
                    <para name="E_IDX_FPS_MIN_LOSS"> 4 </para>
                    <para name="E_IDX_FPS_MAX_LOSS"> 10 </para>
                    <para name="E_IDX_BOOST_DELAY"> 0 </para>
                    <para name="E_IDX_BOOST_TIMEOUT"> 500000 </para>
                    <para name="E_IDX_CPU_RTG_BINDING"> 240 </para>
                    <para name="E_IDX_PERFLOCK"> 0x40C1C200,90,0x41000100,3,0x41000200,1 </para>
                    <para name="E_IDX_CPUCTL_MAX_UCLAMP"> 65 </para>
                    <para name="E_IDX_MARGIN_TOLERANCE_IDX"> 1 </para>
                    <para name="E_IDX_RL_SCHED_ENABLE"> 1 </para>
                </sched_tunable>
                <sched_tunable id="2" para_size="17"><!--//王者荣耀游戏参数-->
                    <para name="E_IDX_FPS_MIN_LOSS"> 2 </para>
                    <para name="E_IDX_FPS_MAX_LOSS"> 5 </para>
                    <para name="E_IDX_LP_CPU_LOWER_LIMIT"> 0 </para>
                    <para name="E_IDX_PF_CPU_LOWER_LIMIT"> 0 </para>
                    <para name="E_IDX_GPU_LOWER_LIMIT"> 0 </para>
                    <para name="E_IDX_RT_UTIL_THRES"> 100 </para>
                    <para name="E_IDX_TRACK_RENDER"> 1 </para>
                    <para name="E_IDX_BOOST_TIMEOUT"> 1000000 </para>
                    <para name="E_IDX_MARGIN_MIN"> 0 </para>
                    <para name="E_IDX_MARGIN_TOLERANCE_IDX"> 1 </para>
                    <!-- perflock reference
                         MPCTLV3_LLCC_DDR_BW_SAMPLE_MS   0x43034000
                    -->
                    <para name="E_IDX_PERFLOCK"> 0x43034000,16 </para>
                    <para name="E_IDX_CPUCTL_MAX_UCLAMP"> 40 </para>
                    <para name="E_IDX_PROCESS_AFFINITY"> 1 </para>
                    <para name="E_IDX_CPU_RTG_BINDING"> 112 </para>
                    <para name="E_IDX_TASK_SCHED_ATTR_CONFIG"> "UnityMain"	128	-1	-1	-1	-1	-1	-1	-1	-1	-1 </para>
                    <para name="E_IDX_MULTI_CORE_LINKAGE"> 1 </para>
                    <para name="E_IDX_UNLIMIT_FREQUENCY"> 1,100000000,3,180,150000000 </para>
                </sched_tunable>
                <sched_tunable id="3" para_size="10"><!--//使命召唤参数-->
                    <para name="E_IDX_FPS_MIN_LOSS"> 5 </para>
                    <para name="E_IDX_FPS_MAX_LOSS"> 10 </para>
                    <para name="E_IDX_TRACK_RENDER"> 1 </para>
                    <para name="E_IDX_CPU_AFFINITY_RESET"> 1 </para>
                    <para name="E_IDX_PERFLOCK"> 0x40C20200,40,0x40C1C200,50,0x41000100,3,0x41000200,1</para>
                    <para name="E_IDX_CPU_RTG_BINDING"> 112 </para>
                    <para name="E_IDX_PROCESS_AFFINITY"> 1 </para>
                    <para name="E_IDX_MULTI_CORE_LINKAGE"> 1 </para>
                    <para name="E_IDX_TASK_SCHED_ATTR_CONFIG"> "UnityMain"	128	-1	-1	-1	-1	-1	-1	-1	-1	-1 </para>
                    <para name="E_IDX_MAX_FRAME_PER_SECOND"> 90 </para>
                </sched_tunable>
                <sched_tunable id="4" para_size="13"><!--//QQ飞车游戏参数-->
                    <para name="E_IDX_FPS_MIN_LOSS"> 5 </para>
                    <para name="E_IDX_FPS_MAX_LOSS"> 10 </para>
                    <para name="E_IDX_BOOST_DELAY"> 0 </para>
                    <para name="E_IDX_BOOST_TIMEOUT"> 500000 </para>
                    <para name="E_IDX_PERFLOCK"> 0x41000000,3, 0x41000100,3, 0x41000200,1,0x40C1C000,35,0x40C20000,25</para>
                    <para name="E_IDX_PROCESS_AFFINITY"> 1 </para>
                    <para name="E_IDX_CPU_RTG_BINDING"> 112 </para>
                    <para name="E_IDX_TASK_SCHED_ATTR_CONFIG"> "UnityMain"	128	-1	-1	-1	-1	-1	-1	-1	-1	-1 | "UNKEY:NativeThread"	255	100	-1	-1	-1	-1	-1	-1	-1	-1 </para>
                    <para name="E_IDX_MULTI_CORE_LINKAGE"> 1 </para>
                    <para name="E_IDX_MAX_FRAME_PER_SECOND"> 90 </para>
                    <para name="E_IDX_MAX_FRAME_PER_SECOND_LIMIT"> 82 </para>
                    <para name="E_IDX_TRACK_RENDER"> 1 </para>
                    <para name="E_IDX_CPU_AFFINITY_RESET"> 1 </para>
                </sched_tunable>
                <sched_tunable id="6" para_size="11"><!--//穿越火线游戏参数-->
                    <para name="E_IDX_FPS_MIN_LOSS"> 5 </para>
                    <para name="E_IDX_FPS_MAX_LOSS"> 10 </para>
                    <para name="E_IDX_MARGIN_MIN"> -1000 </para>
                    <para name="E_IDX_RT_UTIL_THRES"> 100 </para>
                    <para name="E_IDX_TRACK_RENDER"> 1 </para>
                    <para name="E_IDX_BOOST_TIMEOUT"> 1000000 </para>
                    <para name="E_IDX_PERFLOCK"> 0x40C1C000,65,0x41000000,3,0x41000200,1,0x40C1C000,35,0x40C20000,25</para>
                    <para name="E_IDX_CPU_RTG_BINDING"> 112 </para>
                    <para name="E_IDX_PROCESS_AFFINITY"> 1 </para>
                    <para name="E_IDX_TASK_SCHED_ATTR_CONFIG"> "UnityMain"	128	-1	-1	-1	-1	-1	-1	-1	-1	-1 </para>
                    <para name="E_IDX_MULTI_CORE_LINKAGE"> 1 </para>
                </sched_tunable>
                <sched_tunable id="9" para_size="5"><!--//英雄联盟游戏参数-->
                    <para name="E_IDX_PROCESS_AFFINITY"> 1 </para>
                    <para name="E_IDX_CPU_RTG_BINDING"> 112 </para>
                    <para name="E_IDX_PERFLOCK"> 0x41000000,3, 0x41000100,4, 0x41000200,1, 0x40C1C000,35,0x40C20000,25</para>
                    <para name="E_IDX_TASK_SCHED_ATTR_CONFIG"> "UnityMain"    128 -1    -1    -1    -1    -1    -1    -1     -1    -1 </para>
                    <para name="E_IDX_MULTI_CORE_LINKAGE"> 1 </para>
                </sched_tunable>
                <sched_tunable id="16" para_size="6"><!--//天涯明月刀游戏参数-->
                    <para name="E_IDX_FPS_MIN_LOSS"> 4 </para>
                    <para name="E_IDX_FPS_MAX_LOSS"> 10 </para>
                    <para name="E_IDX_BOOST_TIMEOUT"> 10000000 </para>
                    <para name="E_IDX_MARGIN_MIN"> 0 </para>
                    <para name="E_IDX_CPU_RTG_BINDING"> 240 </para>
                    <para name="E_IDX_CPU_AFFINITY_RESET"> 1 </para>
                </sched_tunable>
                <sched_tunable id="23" para_size="4"><!--//禁用CPU7游戏参数-->
                    <para name="E_IDX_CPU_RTG_BINDING"> 112 </para>
                    <para name="E_IDX_CPU_AFFINITY_RESET"> 1 </para>
                    <para name="E_IDX_PROCESS_AFFINITY"> 1 </para>
                    <para name="E_IDX_PERFLOCK">0x41000000,3, 0x41000100,4, 0x40C1C200,100 </para>
                </sched_tunable>
                <sched_tunable id="27" para_size="17"><!--//高能英雄游戏参数-->
                    <para name="E_IDX_LP_CPU_LOWER_LIMIT"> 1 </para>
                    <para name="E_IDX_PF_CPU_LOWER_LIMIT"> 0 </para>
                    <para name="E_IDX_GPU_LOWER_LIMIT"> 0 </para>
                    <para name="E_IDX_SUPPORT_YIELD_THREAD_DETECT"> 1 </para>
                    <para name="E_IDX_GPU_ALWAYS_ON"> 0 </para>
                    <para name="E_IDX_MARGIN_MIN"> -4000 </para>
                    <para name="E_IDX_BOOST_DELAY" > 2000 </para>
                    <para name="E_IDX_TRACK_RENDER"> 1 </para>
                    <para name="E_IDX_FPS_MIN_LOSS"> 3 </para>
                    <para name="E_IDX_FPS_MAX_LOSS"> 8 </para>
                    <para name="E_IDX_BOOST_TIMEOUT"> 1000000 </para>
                    <para name="E_IDX_MARGIN_TOLERANCE_IDX"> 1 </para>
                    <para name="E_IDX_CPUCTL_MAX_UCLAMP"> 40 </para>
                    <para name="E_IDX_PROCESS_AFFINITY"> 1 </para>
                    <para name="E_IDX_CPU_RTG_BINDING"> 112 </para>
                    <para name="E_IDX_TASK_SCHED_ATTR_CONFIG"> "Thread-"	128	-1	-1	-1	-1	-1	-1	-1	-1	-1 </para>
                    <para name="E_IDX_MULTI_CORE_LINKAGE"> 1 </para>
                </sched_tunable>
                <sched_tunable id="30" para_size="6"><!--//星球重启游戏参数-->
                    <para name="E_IDX_FPS_MIN_LOSS"> 2 </para>
                    <para name="E_IDX_FPS_MAX_LOSS"> 5 </para>
                    <para name="E_IDX_PROCESS_AFFINITY"> 1 </para>
                    <para name="E_IDX_TRACK_RENDER"> 1 </para>
                    <para name="E_IDX_CPU_RTG_BINDING"> 112 </para>
                    <para name="E_IDX_TASK_SCHED_ATTR_CONFIG"> "UnityMain"	128	-1	-1	-1	-1	-1	-1	-1	-1	-1 </para>
                </sched_tunable>
                <sched_tunable id="34" para_size="10"><!--//决胜巅峰游戏参数-->
                    <para name="E_IDX_FPS_MIN_LOSS"> 2 </para>
                    <para name="E_IDX_FPS_MAX_LOSS"> 5 </para>
                    <para name="E_IDX_MARGIN_MIN"> -4000 </para>
                    <para name="E_IDX_RT_UTIL_THRES"> 100 </para>
                    <para name="E_IDX_TRACK_RENDER"> 1 </para>
                    <para name="E_IDX_BOOST_TIMEOUT"> 1000000 </para>
                    <para name="E_IDX_MAX_FRAME_PER_SECOND"> 120 </para>
                    <para name="E_IDX_PROCESS_AFFINITY"> 1 </para>
                    <para name="E_IDX_CPU_RTG_BINDING"> 112 </para>
                    <para name="E_IDX_TASK_SCHED_ATTR_CONFIG"> "UnityMain"	128	-1	-1	-1	-1	-1	-1	-1	-1	-1 </para>
                </sched_tunable>
                <sched_tunable id="40" para_size="2"><!--//决战平安京游戏参数-->
                    <para name="E_IDX_MARGIN_MIN"> -4000 </para>
                    <para name="E_IDX_TRACK_RENDER"> 1 </para>
                </sched_tunable>
                <sched_tunable id="47" para_size="10"><!--//codev参数-->
                    <para name="E_IDX_FPS_MIN_LOSS"> 2 </para>
                    <para name="E_IDX_FPS_MAX_LOSS"> 5 </para>
                    <para name="E_IDX_MARGIN_MIN"> 0 </para>
                    <para name="E_IDX_RT_UTIL_THRES"> 100 </para>
                    <para name="E_IDX_TRACK_RENDER"> 1 </para>
                    <para name="E_IDX_BOOST_TIMEOUT"> 1000000 </para>
                    <para name="E_IDX_PERFLOCK"> 0x41000100,3,0x41000200,1 </para>
                    <para name="E_IDX_PROCESS_AFFINITY"> 1 </para>
                    <para name="E_IDX_CPU_RTG_BINDING"> 112 </para>
                    <para name="E_IDX_TASK_SCHED_ATTR_CONFIG"> "GameThread"	128	100	-1	-1	-1	-1	-1	-1	-1	-1 | "RenderThread"	112	100	-1	-1	-1	-1	-1	-1	-1	-1 </para>
                </sched_tunable>
            </specific_sched_tunable_list>
        </sched_tunables_detail>

        <sched_tunables_detail fps="120">
            <default_sched_tunable  para_size="7"> <!--//平台default参数-->
                <para name="E_IDX_MARGIN_MIN"> 0 </para>
                <para name="E_IDX_BOOST_DELAY" > 1000 </para>
                <para name="E_IDX_BOOST_TIMEOUT"> 3000000 </para>
                <para name="E_IDX_COMPOSE_TIME_THRES"> 10000 </para>
                <para name="E_IDX_GPU_ALWAYS_ON"> 1 </para>
                <para name="E_IDX_MAX_FREQ_JERK"> 0 </para>
                <para name="E_IDX_CGROUP_UCLAMP_CTL"> 0 </para>
            </default_sched_tunable>
            <specific_sched_tunable_list size = "11">
                <sched_tunable id="0" para_size="3"><!--//通用白名单游戏参数-->
                    <para name="E_IDX_LP_CPU_LOWER_LIMIT"> 0 </para>
                    <para name="E_IDX_PF_CPU_LOWER_LIMIT"> 0 </para>
                    <para name="E_IDX_GPU_LOWER_LIMIT"> 0 </para>
                </sched_tunable>
                <sched_tunable id="1" para_size="4"><!--//和平精英游戏参数-->
                    <para name="E_IDX_LP_CPU_LOWER_LIMIT"> 1 </para>
                    <para name="E_IDX_PF_CPU_LOWER_LIMIT"> 1 </para>
                    <para name="E_IDX_GPU_LOWER_LIMIT"> 0 </para>
                    <para name="E_IDX_SUPPORT_YIELD_THREAD_DETECT"> 1 </para>
                </sched_tunable>
                <sched_tunable id="2" para_size="14"><!--//王者荣耀游戏参数-->
                    <para name="E_IDX_FPS_MIN_LOSS"> 6 </para>
                    <para name="E_IDX_FPS_MAX_LOSS"> 12 </para>
                    <para name="E_IDX_MARGIN_MIN"> -4000 </para>
                    <para name="E_IDX_RT_UTIL_THRES"> 100 </para>
                    <para name="E_IDX_TRACK_RENDER"> 1 </para>
                    <para name="E_IDX_BOOST_TIMEOUT"> 1000000 </para>
                    <para name="E_IDX_MAX_FRAME_PER_SECOND"> 120 </para>
                    <para name="E_IDX_PERFLOCK"> 0x41000000,3,0x41000200,1,0x40C20000,25,0x40C1C000,35 </para>
                    <para name="E_IDX_PROCESS_AFFINITY"> 1 </para>
                    <para name="E_IDX_CPU_RTG_BINDING"> 112 </para>
                    <para name="E_IDX_TASK_SCHED_ATTR_CONFIG"> "UnityMain"	128	-1	-1	-1	-1	-1	-1	-1	-1	-1 </para>
                    <para name="E_IDX_MULTI_CORE_LINKAGE"> 1 </para>
                    <para name="E_IDX_CPUCTL_MAX_UCLAMP"> 70 </para>
                    <para name="E_IDX_RL_SCHED_ENABLE"> 1 </para>
                </sched_tunable>
                <sched_tunable id="4" para_size="10"><!--//QQ飞车游戏参数-->
                    <para name="E_IDX_FPS_MIN_LOSS"> 10 </para>
                    <para name="E_IDX_FPS_MAX_LOSS"> 15 </para>
                    <para name="E_IDX_PERFLOCK"> 0x41000000,3, 0x41000100,3, 0x41000200,1,0x40C1C000,35,0x40C20000,25</para>
                    <para name="E_IDX_PROCESS_AFFINITY"> 1 </para>
                    <para name="E_IDX_CPU_RTG_BINDING"> 120 </para>
                    <para name="E_IDX_TASK_SCHED_ATTR_CONFIG"> "UnityMain"	128	-1	-1	-1	-1	-1	-1	-1	-1	-1 </para>
                    <para name="E_IDX_MULTI_CORE_LINKAGE"> 1 </para>
                    <para name="E_IDX_MAX_FRAME_PER_SECOND"> 120 </para>
                    <para name="E_IDX_TRACK_RENDER"> 1 </para>
                    <para name="E_IDX_CPU_AFFINITY_RESET"> 1 </para>
                </sched_tunable>
                <sched_tunable id="6" para_size="1"><!--//穿越火线游戏参数-->
                    <para name="E_IDX_PERFLOCK"> 0x40C1C000,85,0x41000000,3</para>
                </sched_tunable>
                <sched_tunable id="8" para_size="16"><!--//原神游戏参数-->
                    <para name="E_IDX_FPS_MIN_LOSS"> 1 </para>
                    <para name="E_IDX_FPS_MAX_LOSS"> 5 </para>
                    <para name="E_IDX_MARGIN_MIN"> -4000 </para>
                    <para name="E_IDX_LP_CPU_LOWER_LIMIT"> 0 </para>
                    <para name="E_IDX_PF_CPU_LOWER_LIMIT"> 0 </para>
                    <para name="E_IDX_GPU_LOWER_LIMIT"> 0 </para>
                    <para name="E_IDX_RT_UTIL_THRES"> 100 </para>
                    <para name="E_IDX_TRACK_RENDER"> 1 </para>
                    <para name="E_IDX_BOOST_DELAY"> 2000 </para>
                    <para name="E_IDX_BOOST_TIMEOUT"> 5000000 </para>
                    <para name="E_IDX_MARGIN_TOLERANCE_IDX"> 1 </para>
                    <para name="E_IDX_AB_FRAME_DETECT_ENABLE"> 1 </para>
                    <para name="E_IDX_MAX_HT_NUM"> 8 </para>
                    <!-- perflock reference
                       MPCTLV3_SCHEDUTIL_HISPEED_LOAD_CLUSTER_BIG      0x41440000
                       MPCTLV3_SCHEDUTIL_HISPEED_LOAD_CLUSTER_LITTLE   0x41440100
                       MPCTLV3_SCHEDUTIL_HISPEED_LOAD_CLUSTER_PRIME    0x41440200
                       MPCTLV3_SCHED_BUSY_HYSTERSIS_CPU_MASK           0x40C74000
                       MPCTLV3_LPM_BIAS_HYST                           0x40408000
                       MPCTLV3_GPU_LOAD_MOD_PERCENT                    0x42828000
                       MPCTLV3_MAX_FREQ_CLUSTER_PRIME_CORE_0           0x40804200
                       MPCTLV3_SCHED_DOWNMIGRATE                       0x40C20000
                       MPCTLV3_SCHED_DOWNMIGRATE_PRIME                 0x40C20200
                       MPCTLV3_SCHED_UPMIGRATE                         0x40C1C000
                       MPCTLV3_SCHED_UPMIGRATE_PRIME                   0x40C1C200
                       MPCTLV3_SCHED_GROUP_DOWNMIGRATE                 0x40C58000
                       MPCTLV3_SCHED_GROUP_UPMIGRATE                   0x40C54000
                    -->
                    <para name="E_IDX_PERFLOCK"> 0x40C20000,90,0x40C20200,40,0x40C1C000,100,0x40C1C200,50,0x40C74000,255,0x40408000,99,0x42828000,95 </para>
                    <para name="E_IDX_CPU_AFFINITY_RESET"> 1 </para>
                    <para name="E_IDX_CPU_RTG_BINDING"> 240 </para>
                </sched_tunable>
                <sched_tunable id="9" para_size="11"><!--//英雄联盟游戏参数-->
                    <para name="E_IDX_MARGIN_MIN"> 1000 </para>
                    <para name="E_IDX_FPS_MIN_LOSS"> 5 </para>
                    <para name="E_IDX_FPS_MAX_LOSS"> 12 </para>
                    <para name="E_IDX_CPU_AFFINITY_RESET"> 1 </para>
                    <para name="E_IDX_PROCESS_AFFINITY"> 1 </para>
                    <para name="E_IDX_TRACK_RENDER"> 1 </para>
                    <para name="E_IDX_PERFLOCK"> 0x41000000,3,0x41000200,1 </para>
                    <para name="E_IDX_MULTI_CORE_LINKAGE"> 1 </para>
                    <para name="E_IDX_CPU_RTG_BINDING"> 112 </para>
                    <para name="E_IDX_MAX_FRAME_PER_SECOND"> 119 </para>
                    <para name="E_IDX_TASK_SCHED_ATTR_CONFIG"> "UnityMain"	128	-1	-1	-1	-1	-1	-1	-1	-1	-1 </para>
                </sched_tunable>
                <sched_tunable id="23" para_size="4"><!--//禁用CPU7游戏参数-->
                    <para name="E_IDX_CPU_RTG_BINDING"> 112 </para>
                    <para name="E_IDX_CPU_AFFINITY_RESET"> 1 </para>
                    <para name="E_IDX_PROCESS_AFFINITY"> 1 </para>
                    <para name="E_IDX_PERFLOCK">0x41000000,3, 0x41000100,4, 0x40C1C200,100 </para>
                </sched_tunable>
                <sched_tunable id="30" para_size="6"><!--//星球重启游戏参数-->
                    <para name="E_IDX_FPS_MIN_LOSS"> 2 </para>
                    <para name="E_IDX_FPS_MAX_LOSS"> 5 </para>
                    <para name="E_IDX_PROCESS_AFFINITY"> 1 </para>
                    <para name="E_IDX_TRACK_RENDER"> 1 </para>
                    <para name="E_IDX_CPU_RTG_BINDING"> 112 </para>
                    <para name="E_IDX_TASK_SCHED_ATTR_CONFIG"> "UnityMain"	128	-1	-1	-1	-1	-1	-1	-1	-1	-1 </para>
                </sched_tunable>
                <sched_tunable id="34" para_size="10"><!--//决胜巅峰游戏参数-->
                    <para name="E_IDX_FPS_MIN_LOSS"> 2 </para>
                    <para name="E_IDX_FPS_MAX_LOSS"> 5 </para>
                    <para name="E_IDX_MARGIN_MIN"> -4000 </para>
                    <para name="E_IDX_RT_UTIL_THRES"> 100 </para>
                    <para name="E_IDX_TRACK_RENDER"> 1 </para>
                    <para name="E_IDX_BOOST_TIMEOUT"> 1000000 </para>
                    <para name="E_IDX_MAX_FRAME_PER_SECOND"> 120 </para>
                    <para name="E_IDX_PROCESS_AFFINITY"> 1 </para>
                    <para name="E_IDX_CPU_RTG_BINDING"> 112 </para>
                    <para name="E_IDX_TASK_SCHED_ATTR_CONFIG"> "UnityMain"	128	-1	-1	-1	-1	-1	-1	-1	-1	-1 </para>
                </sched_tunable>
                <sched_tunable id="47" para_size="10"><!--//codev的参数-->
                    <para name="E_IDX_FPS_MIN_LOSS"> 3 </para>
                    <para name="E_IDX_FPS_MAX_LOSS"> 8 </para>
                    <para name="E_IDX_MARGIN_MIN"> 0 </para>
                    <para name="E_IDX_RT_UTIL_THRES"> 100 </para>
                    <para name="E_IDX_TRACK_RENDER"> 1 </para>
                    <para name="E_IDX_BOOST_TIMEOUT"> 1000000 </para>
                    <para name="E_IDX_PERFLOCK"> 0x41000100,3, 0x41000200,1 </para>
                    <para name="E_IDX_PROCESS_AFFINITY"> 1 </para>
                    <para name="E_IDX_CPU_RTG_BINDING"> 112 </para>
                    <para name="E_IDX_TASK_SCHED_ATTR_CONFIG"> "GameThread"	128	100	-1	-1	-1	-1	-1	-1	-1	-1 | "RenderThread"	112	100	-1	-1	-1	-1	-1	-1	-1	-1 </para>
                </sched_tunable>
            </specific_sched_tunable_list>
        </sched_tunables_detail>
    </sched_tunables>

    <FPS_detector_list size="2">  <!--//FPS预测参数!-->
        <FPS_detect id="0">
            <algorithm id="0" para_size="5">
                <para name="window_size">150</para>
                <para name="mean_filter">10</para>
                <para name="up_abnormal_offset">5.5</para>
                <para name="down_abnormal_offset">3</para>
                <para name="high-11">-1</para>
            </algorithm>
        </FPS_detect>
        <FPS_detect id="1">
            <algorithm id="0" para_size="40">
                <para name="window_size">150</para>
                <para name="mean_filter">10</para>
                <para name="up_abnormal_offset">5.5</para>
                <para name="down_abnormal_offset">3</para>
                <para name="low-0">-0.00099582</para>
                <para name="low-1">-0.02589126</para>
                <para name="low-2">0</para>
                <para name="low-3">1.03737649</para>
                <para name="low-4">0.00372356</para>
                <para name="low-5">-0.06819512</para>
                <para name="low-6">0</para>
                <para name="low-7">1.03879694</para>
                <para name="low-8">0.79942494</para>
                <para name="low-9">0.39971247</para>
                <para name="low-10">0</para>
                <para name="low-11">-38.57182219</para>
                <para name="median-0">0.011</para>
                <para name="median-1">0</para>
                <para name="median-2">0</para>
                <para name="median-3">-1</para>
                <para name="median-4">0.024332</para>
                <para name="median-5">-0.001187</para>
                <para name="median-6">0</para>
                <para name="median-7">-1.4332</para>
                <para name="median-8">0.0000275</para>
                <para name="median-9">-0.3476</para>
                <para name="median-10">0</para>
                <para name="median-11">0.9997</para>
                <para name="high-0">0</para>
                <para name="high-1">0</para>
                <para name="high-2">0.000000245114625</para>
                <para name="high-3">-7.14531644</para>
                <para name="high-4">0</para>
                <para name="high-5">0</para>
                <para name="high-6">0.000000138465513</para>
                <para name="high-7">-3.60129879</para>
                <para name="high-8">0.011</para>
                <para name="high-9">0</para>
                <para name="high-10">0</para>
                <para name="high-11">-1</para>
            </algorithm>
        </FPS_detect>
    </FPS_detector_list>  <!--//FPS预测参数!-->

    <temp_control_list size="2"> <!--//温控参数!-->
        <temp_control id="0" size="5">
            <para name="max_temp">52</para>
            <para name="pow_warm_up_normal">2850000</para><!--750mA*3800mv!-->
            <para name="pow_warm_up_fast">3040000</para><!--800mA*3800mv!-->
            <para name="window_size">3</para>
            <para name="strategy_enable">0</para>
        </temp_control>
        <temp_control id="1" size="5">
            <para name="max_temp">52</para>
            <para name="pow_warm_up_normal">2850000</para><!--750mA*3800mv!-->
            <para name="pow_warm_up_fast">3040000</para><!--800mA*3800mv!-->
            <para name="window_size">3</para>
            <para name="strategy_enable">0</para>
        </temp_control>
    </temp_control_list> <!--//温控参数!-->

    <no_boost_game_list size='8'> <!--//特殊频率游戏列表!-->
        <game id="1">
            <package_name>com.supercell.clashofclans</package_name>
            <default_fps>58</default_fps>
        </game>
        <game id="2">
            <package_name>com.tencent.tmgp.supercell.clashofclans</package_name>
            <default_fps>58</default_fps>
        </game>
        <game id="3">
            <package_name>com.supercell.clashroyale</package_name>
            <default_fps>58</default_fps>
        </game>
        <game id="4">
            <package_name>com.tencent.tmgp.supercell.clashroyale</package_name>
            <default_fps>58</default_fps>
        </game>
        <game id="5">
            <package_name>com.supercell.boombeach</package_name>
            <default_fps>58</default_fps>
        </game>
        <game id="6">
            <package_name>com.tencent.tmgp.supercell.brawlstars</package_name>
            <default_fps>118</default_fps>
        </game>
        <game id="7">
            <package_name>com.youzu.bs</package_name>
            <default_fps>58</default_fps>
        </game>
        <game id="8">
            <package_name>com.tencent.tmgp.cf</package_name>
            <default_fps>118</default_fps>
        </game>
   </no_boost_game_list>
</policy>
